commit ece42747136346ed3382368d80c0bbab7114fbcd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2018-02-07

    Bump version number.

commit a432832c836bd4136d168cd4a878790cae74f4c0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2018-02-07

    Sync translations with Transifex.

commit 050f7658764434b9b51595276b5dc1aff2777a7d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2018-02-07

    Update dictionaries.

commit f395f7435aa395164bb6f55bfecf231b108c8ced
Author: Graeme Gott <graeme@gottcode.org>
Date:   2018-01-13

    FIXED: Could not save to network devices.

commit 39f3d62ae6ea22c79b59a8cb6114852965e73891
Author: Graeme Gott <graeme@gottcode.org>
Date:   2018-01-01

    Update copyright year.

commit fc47f3903e930a1c778c228def25930c3b74ee44
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-12-26

    Bump version number.

commit b7f44ff40cf4d3aec4c38b2a99118c7b6b9735b4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-12-24

    Sync translations with Transifex.

commit 30b52a061f3b4df9d522f273d0b0d2efbe33d924
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-12-22

    FIXED: Could not compile with Qt 5.10.

commit b68eca1a7e7033f821f613b2812cabcb781ede6e
Author: Jakob Miksch <jakob.miksch@posteo.eu>
Date:   2017-10-29

    typo

commit 02c4cf2e583cb7a2fb487ba2cb222e474692f339
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-10-01

    FIXED: Did not handle ODT line position with two values.

commit df6fa47aff6368303b75cf7f8dcc5cd0734ccfee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-25

    Bump version number.

commit 8675b5c455b0ea8038a431bf86d9e7133524fa29
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-25

    Updated dictionaries.

commit 3f16046325e6e83adb45940f2210f4259cd7a94b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-23

    FIXED: HiDPI blurred text backgrounds were scaled.

commit 6d9112198a4872be3358ebb4828bbead5d9fcd36
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-22

    FIXED: Window margin was always the size of the scrollbar.

commit 4a7ef2028ac0bfb1367f109fd06f50c6e556091e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-21

    FIXED: Always indented first line when printing.

commit addc76426286e7e512263e907ca541088da566cf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-30

    Bump version number.

commit 388c80d13a2bca0af60044c8ef67e75f5df427ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-30

    Sync translations with Transifex.

commit e577bfd6cbd78d4b27b7b9618ab23d93ec6a2c4f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-05

    Update deprecation warning.

commit 45d46ea7e74f0a61693f9a8d636088d22fdd9530
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-01

    FIXED: Did not always install translations in Linux.

commit 21fe3ba80fdd99525c0249c73d104fb5f5f1ea87
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-01

    FIXED: Unneccessary compiler warning about switch fallthrough.

commit 6b2e3787292536e0aa85dcecb4fed3bdb1b3a505
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-06-20

    FIXED: Did not show headings when automatic spellchecking was disabled.

commit bbddba971b5d91f53a9882d9a1913fe35308a799
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-06-19

    FIXED: Foreground incorrectly placed when load stretched themes.

commit ec97259cc51ac8a36afa2e5d9ca18a4bbbad3385
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-05-30

    Bump version number.

commit 2e4dcf88addd9716c6e55440f444fa875c52cf79
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-05-30

    Sync translations with Transifex.

commit 74fbcf0189ffc1ffd2fbb81cbbf64e697d72beb9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-05-30

    Update dictionaries.

commit 2e5b3e6a00cecd75fef5c5918735bba6246b5c1e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-05-30

    Update hunspell to 1.6.1

commit fb2e4cb84ca898ac601a45c0d60567096df0b22a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-05-28

    Use QSaveFile to prevent data loss.

commit 0122138e39a6d618df6cd7738a6df8fbe8356ab9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-03-09

    Bump version number.

commit 0bce9d05b2e7b9ef86d9adef77a719d83c842011
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-03-09

    Sync translations with Transifex.

commit ddfec1c16bcd4ccd552112ee977721027ccde7f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-24

    Remove old imageformat plugin from Windows install.

commit e466e2aa6fada35f49c36977f29a537727c9133d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-24

    FIXED: HiDPI centered backgrounds were also scaled.

commit 5db5ebdadeae58da5829592f31c600393530e68d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-24

    FIXED: HiDPI backgrounds were not centered properly.

commit e06231e674093ac3e36e113d814b226d30bb2d3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-24

    FIXED: HiDPI blurred text backgrounds were offset and scaled.

commit b4fde1069b4cecd46057816be992c4b704a00ab4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-24

    Remove unnecessary include.

commit 53cbd6690cf5724cbcf9cae74f027bf505cf8bc7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-01

    Update AppData installation directory.

commit 71511fd0b6ce2d58eed7be79d1998a3614ea9802
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-01-26

    Replace deprecated code.

commit 10a54affc3ac2c004221f1f35469daa325d46834
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-01-03

    Update copyright year.

commit 28b9002dcf80fe52a1ff3e6177ae3136b8f07b3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-12-11

    Bump version number.

commit 9df680c31c9ad65cb740236102f70cee1374d045
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-12-11

    Sync translations with Transifex.

commit 84a504c8357e9f1d4be62dbb608e52236f7b3869
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-12-02

    Update hunspell to 1.5.4

commit 267d84a597347f9e11f5fc34a7fc861d8b6e4ebc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-11-30

    FIXED: Pasting text always made document rich text.

commit 566f6ef53f4e82c5f2833156071951a5b582e8c8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-11-29

    FIXED: Line spacing was ignored when pasting in new documents.

commit 965aba7e84c68c412a272cb675f1f318c757666d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-11-27

    FIXED: Memory leak from creating multiple printers.

commit 7c9361a8c7f9e3f30800717b71b9f1775b397fe9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-11-27

    FIXED: Possible delay on start when creating non-native printer.

commit 19b501da355ed68e88128e5094b14e79c6d4a44d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-29

    Sync translations with Transifex.

commit 954cf511e5d3270fa64afe5dcab169a462a51527
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-13

    Bump version number.

commit e56bc9f9cb5d18fedb990b3df6dd2204c3aa1c90
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-13

    Sync translations with Transifex.

commit b3db4502d60b28dfcf91d0e1741f6071e1732c39
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-12

    FIXED: Focused text did not handle first-line indent.

commit 0e6be92f0eea2a1171702177dff175df35f427cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-07

    FIXED: Did not install translations in Linux.

commit d6be5902f12defaf31e93fd997fdfa369c4a7258
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-05

    Sync translations with Transifex.

commit 7133c9a142a29ac05673da4bd108f28f275d5ca7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-02

    Clean up commands for generating qm files.

commit 12f639372866ca33883880704156133957ae21d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-01

    Update strings.

commit 4aba032b75edf837d2dbb9996a37ab91099f8c5d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-01

    Only use qtbase translations.

commit 1c00c5f11de8e5774323fc8dcbd2e6b0d132dcb0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-30

    Generate binary translations at build time.

commit 3db47c731a24f555b46afa1aeea2cebd40cdb6c3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-29

    Sync translations with Transifex.

commit ec071a4fbd47e1bd9efb2b3dac69ec27b9919584
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-28

    Sync translations with Transifex.

commit 6fad5f37dbed9065ad4eec9b8517fbb466435cb1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-28

    FIXED: Was not properly loading Qt translations.

commit f17e7d7ed63253455a381a333e0a236bf9002039
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-27

    Sync translations with Transifex.

commit d35f3621a433cfb91933da419690333fc071077c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-26

    Sync translations with Transifex.

commit 62293467ba938517d15623f812479066f052dba6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-26

    Update strings.

commit 9254223f8c61e8e60d4f9a2ff55b05a4e88fafaf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-26

    Sync translations with Transifex.

commit 09d5d4e84d9b929a4ba11a6e323b439c17c060dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-21

    Sync translations with Transifex.

commit 0ab6a38091356f99cb0634c1d8171bed03d36bde
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-19

    Bump version number.

commit 2b2d43d09bd756f341e10ab65ba28a8efad5bf64
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    Support native Windows builds.

commit 7a3d6848560a063f0cd1faa3b73dd6beecb1e3c9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    Update dictionaries.

commit 4ec4d0de81e323ec23d72908bbce3c860e903d1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    FIXED: Incorrectly handled non-heading text in OOXML.

commit 1c598d3c7e35ed4d14d7c6f03cd42e14907dd453
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    FIXED: Misspelled words did not following heading style.

commit ad6fa1130ba0917f4ae2e716296bf387b2c47041
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    Do not write default paragraph alignment.

commit 09b455a0e9aa7460eceabbc3c2ae49fe37a9b019
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    FIXED: Did not always close OOXML paragraph properties correctly.

commit ca1a46b775e8951edcf22e790fca8eacb7082fce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-18

    FIXED: Did not correctly store RTL in OOXML.

commit 02d12d40ce19f6b2e4df0a970aeab924ebfed386
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-15

    Update AppData file.

commit 66b3cad892080c2db85c436f6ebc1faaaafb5856
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-13

    Sync translations with Transifex.

commit fb72945c341126ad66578e53e6d63d03693c7cc7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-13

    FIXED: Reported conflicts for empty shortcuts.

commit f7892c4b29374a3f9773de69d6aeb8986ea6b449
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-12

    FIXED: Switched to incorrect tab to show conflicting shortcuts.

commit b1e71ef46e73a4a44490115a5956f549c5dddaaa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-04

    Sync translations with Transifex.

commit dd94b3f18e90d0f475b5128e73962dfe1b745490
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-04

    Tweak NEWS file.

commit 1637211d3db3c862d6f0e5eb5ca97293f906a2aa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-27

    Bump version number.

commit 7edf7ba696003c030b2a50554551d64114f9e87e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-25

    Add fallback name for Esperanto.

commit a80e768c9a8b851e4500640bbcbf44f68ffce239
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-24

    Sync translations with Transifex.

commit 81d2979b385ceff27106129a230e62eed79abd79
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-21

    Sync translations with Transifex.

commit fb69c813a2fff8bb7271e154e33b1247cdb0e270
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-21

    Sync translations with Transifex.

commit a4159930a1efbf9469d8021a8d6b48a9c07bd3b4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-19

    Sync translations with Transifex.

commit f1a7df3316e8e204964817478f2e92975d0f57b5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-19

    Update strings.

commit 3751cadb543b75404389f922f0539f4a2d9febc7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-19

    Sync translations with Transifex.

commit aaf61711b82931cb0040253df87e4a1c1070a61e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-17

    Add new themes.

commit 632b70231830e731e18cf61dd97e832e2ee5cc50
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-08-16

    FIXED: Regression where it wasn't saving load color.

commit b545cdfdee826cf54b3ae01feb720b0a41eddfca
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-29

    Update dictionaries.

commit da3fd725ae6446916c5a51990bdbaf2d7de474f6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-27

    Use QSoundEffect instead of QSound.

commit 6a6bc6d7d9331fb7adb13a0656bda019dbefcd03
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-26

    Sync translations with Transifex.

commit 1b54c6c7ba8666ca323a1a7577810b694b9218bf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-26

    Update strings.

commit 22cc8c5d0aab0bfe428cd135b43a6e2c412da89b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-17

    Update AppData URLs.

commit c771110c698cd07c4d0a1e936789227abee9ccf4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-16

    Update NEWS file.

commit 3df447ce957fb59258829d3cc2badc9cd5ab4597
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-16

    Update install instructions for cross compiling.

commit 9f892c55a5adb6603e44638f0bbf37a02c19326d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-16

    Update Windows NSIS installer for cross compiling.

commit 4dd7b0f2225406da95d2ce488754904a94d4bfe1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-16

    Update Windows deploy script for cross compiling.

commit 291b3c42cd36bae904a7e3b0ec27cb9cde6c0a65
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-07

    FIXED: Did not play sounds for key presses with Alt modifier.

commit 88f32606932cd6c2c049abb5c23f8b7e4c9d6bfc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-16

    FIXED: Could not change shortcut to disable focused text.

commit 44afafb6b6cf5b7699cd5c360c8427e15af1c59b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-10

    Update dictionaries.

commit 35f894594802bd4504c432f3a4ee3d7d7290fea0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-10

    Restore ability to remove user installed dictionary files.

commit 3be9daa5919c5e2652fba9039a0d98d75796d41c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-10

    Remove installing Voikko data files in Windows.

commit 9ee58ca874100ee9039d7b2262319fe325aed3ad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-08

    Confirm that plain text files write correctly.

commit ed2b7fa7e17c4ec17e25e8e1ba75ba1e714a9fff
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-30

    Move preview rendering to theme.

commit 8b660e906f273e22b280bff2c6ad172468b56a18
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-07-02

    Move calculating load color to theme.

commit a618539e1e718128e1ebcf20c058d02d8e7e1784
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-30

    Render image button previews with HiDPI support.

commit 2bd665fc2a4b9b80f4256121cea87eaa99a31b49
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-29

    Fetch load color concurrently with background rendering.

commit 36f1813ae61c72bd81e31acd050afd42d1f95e2a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-29

    Update included QtZip.

commit 49776e32c4f8f7e181f29ff8d8443dd46ae58e7c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-27

    Render daily progress with HiDPI support.

commit a1ea54390bb1247ac32a4c3e6e127705570b28ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-26

    Always use qreal versions of QPainter functions.

commit 0b0e7e683ed33f76efdeba88d181559764604690
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-26

    Use 5K resolution default theme images.

commit 5cf7665274602e8102411559acb6dafb59837fe3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-26

    Support older versions of Qt.

commit d858c96bd13e398b07bce43547b774896966100d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-25

    Update Unicode symbols database.

commit 7fd0946af92c18e3eaf6e1bb9f2fa448aba51df1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-25

    Update Windows installer.

commit cc94a5202cfff447a59dc67d5a70aa7c043604a5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-25

    Add larger icons.

commit 8dfaaf683eb95cd2ef07f7b809e7a6ee9b176fa4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-25

    Render load screen with HiDPI support.

commit 177a66c070880c9cfa04d080ef03fecaa7fbe363
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-24

    Remove previews not at current DPI when theme changes.

commit 6c005212c92d50203b02c0f5ce7d7565c804c8fc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-24

    Render theme manager icons with HiDPI support.

commit c2e0c439f3534ee94b6a33358ce2590858f71479
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-22

    Render theme preview with HiDPI support.

commit 55779611c169ee0d5a44a9662553c8d1d272d47a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Render backgrounds with HiDPI support.

commit cc0f26a6bfe0fd7ebfd63fec7170130c76097a3c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Render temporary backgrounds with HiDPI support.

commit 7e1ec7619c5a718c574c02bce5dc2486ea363b4d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Add HiDPI support to background painting.

commit c0bad86426bfb88568a5b8b36bdd0469ac2a4514
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Use pixel ratio to calculate foreground rectangle.

commit e6d6dde4d4f2fdc01839908d01d3132c76760a15
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Pass pixel ratio to theme.

commit b3cb48575f2765f568dbfd694368bcbd965ec81d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Remove opaque foreground pixmap.
    
    QBrush is not HiDPI aware (Qt bug 49774) so this optimization is broken.

commit 1f24bb2b84862e0636bcc29c8556402fe6ea796c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-11-13

    Enable HiDPI rendering.

commit 760ca24f00040fbda7d0c8fde7eaa6011df8ddda
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-22

    Update NEWS file.

commit 2aa3b0b4fc182f472f72049d1a18d06ec48acb1a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-22

    Update copyright year.

commit 39fb0b525c2aefc9dad558de0ac608029515bb61
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-22

    Update translations.

commit 99c14db223a72505abb3eabe49e71d9874a0e4c9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Update hunspell to 1.4.1.

commit f740f5111dfd17022cdb803ae2680bd43ee28d16
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-06-21

    Add missing header.

commit f352919881c24dbe3bdfb85f522c6479aa5a3f0b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-04-27

    FIXED: Did not remember some default formats.

commit 7a303bc588c0e45896bafe05b91a42e96bae2dec
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-02-21

    FIXED: Replace all did not update spellchecking.

commit 38a42089214b9080d58905dea12d94fb6320b83a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-02-10

    FIXED: Themes still did not always forget changes.

commit b0928079ac3b912965f70acf697a790eb9b63056
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-12-29

    FIXED: Adding rich text removed headings.

commit 1d31451c4450756e9f1ca51fbd8986c945f3a91b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-11-04

    FIXED: Load screen did not cover always shown interface.

commit 6c9916e000e15b139c5b6e6f804a701661e1a6dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-11-04

    Never cover scrollbar with text field or background.

commit bec01ec24420d9d745c908ad38d8a56eae152915
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-11-03

    Adjust background to respect always showing interface.

commit 0eb49ffb41b4f41951f305f32d5400abc6daf6d2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-11-03

    Adjust text field to respect always showing interface.

commit a54396b2b6eba6c6208e32470c682b93eaec7e7d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-10-29

    FIXED: Daily progress did not reset when run longer than a day. Closes #167.

commit 4933ecf76fb9ed94402830c6acb18ba20af917b3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-09-04

    Update news file.

commit c1d4173a3529c76ed5edf2a8e92bdef22c64cf58
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-09-04

    FIXED: Themes did not always forget changes.

commit 97c031fb50250d5c05a086ad18bc1163548d731f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-09-04

    Sync translations with Transifex.

commit c5507a7d7906740103fa80785658f6311410ee6c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-09-03

    Update dictionaries.

commit 65f2fda2fa94fba28c0a36a888a8c4e4a66329d4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-09-03

    Switch to dynamic builds for Windows.

commit 3f27350d2358127b1aa90d0fe0596d9cf74d0a7f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-27

    FIXED: Treated every paragraph as a scene when divider is empty.

commit 3c6da2c802f0a0812a515e936c3241053da81969
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-27

    FIXED: Switched tabs during autosave.

commit 357463ff4c53edfa99a74cd8ea7a0bd4217ba016
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-21

    FIXED: Allowed invalid characters in OOXML files.

commit 6ffbfbfeb2821a3b05eb9c4dedcf4277c273bac5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-21

    FIXED: Allowed invalid characters in ODT files.

commit 403dd764d7ab5a0cb03243dc97ceaa8844623e1f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-21

    FIXED: Allowed invalid characters in RTF files.

commit e3ecf4909628f2a63292157f94a3dab09d6aaca9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-21

    FIXED: Allowed pasting invalid characters.

commit afa268cc9f8ac521487f0941d5ab4d248fc10944
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-07-18

    Update news file.

commit d9c81c8ce32026a275917ff72409a9c120cd91eb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-07-15

    FIXED: Compile failure with Qt 5.5

commit 9e54a8ea5ecbbc6cd333cba85699db0bce102a45
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-25

    Move page number inside of printer margin.

commit bd13fe4811ad19eda5202962e9650055ebeffc8d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-25

    Copy printing code from Qt to remove extra 2cm margin.

commit db5eb2fba9a2fb1a29d439e5a5e7d8c1d80d3ede
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-24

    Add page setup dialog to configure printer.

commit f3cd091e3c08a8a7337d417ab263a57eac34a9a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-24

    Add spacings to printed document.

commit a9f8f709e7a46a821eab31055cd807a4959a0cca
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-24

    Add headings to printed document.

commit c3d5781026304f1b6c5ae05bbc5ae05f5be8c347
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-24

    Use a separate text document for printing.

commit fcc746b5fb979dfaa4171b15806b9dbc0af9b24e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-04-24

    Share printer instance between documents.

commit c5c6a4591fbc3a8124e1e3062dae5101d0f49c1a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-06-13

    Remove deprecated code for unsupported Mac OS X versions.

commit fd226d2778fdd5b11587da680db60f26feb2425c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-06-09

    FIXED: Broken shortcut for disabling focused text in Windows. Closes #93.

commit 31f4278902c95f21b6ea8ad214b1a96eb47a4438
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-06-02

    Remove QtZip namespace.

commit b7400c2d099664259df0bafc54d8826d3ed65414
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-06-02

    Relax version check of ZIP to handle broken ZIP files.

commit e4f6914c6dcef33e7b009ecb4c5b518df011d6ae
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-24

    FIXED: Did not fully qualify ODT styles.

commit 609a5e6d72fa900c4a977692a29db5a3de9f8f3a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-24

    FIXED: Word count did not handle dashes correctly.

commit f4ebdc4c1b80bc505c60c2abb173179fc4cf7f0d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-14

    Improve code to locate hunspell dictionaries.

commit f053375b0b05c60101455107d517a8c8fa1664cc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-08

    FIXED: Did not use correct line endings on Windows.

commit e432c7d140bae9688a027202ef2329a1e0ab4648
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-07

    FIXED: Incorrectly sized icon for daily progress.

commit f79e509ef6d43fb267672daed9db404fa967a9ae
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-05-05

    Use QFile for writing to disk.
    
    File permissions were broken by QSaveFile.

commit 1ca023359d47232c45e2f3788ae3c04648ef71a5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-29

    Stop replacing session files with command-line files.

commit b28fac85aad0d55b01dd9aba94b346d5c0da31f6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-01

    Add support for writing OpenDocument Flat XML.

commit 4316d56a5d29fa2933ee0e57fd568e6c2b9c6d17
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-01

    Add support for reading OpenDocument Flat XML.

commit e314af3665fa567501ee2e600ee718837f665c51
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-01

    Only write paragraph styles that have formatting.

commit c7cd0a1362e478137ebd992bd841d40ed1ae3ad9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-01

    Only write text spans that have formatting.

commit 954d3ac09dd928439dc6579aa4c9231edbd0b9f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-03-02

    Add missing header.

commit 6f106ea9aba74ff672be8e5cf70db686c4e5d55e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-30

    FIXED: Did not add new default symbol shortcuts.

commit db520b1919deecfd84f2554617c9c200f7bacf84
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-30

    Add shortcut for typographical apostrophe. References #154

commit 90e47bd659acf944ab65345f50ac68aa5e264880
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-08

    Remove deprecated function.

commit 16c9cf5d9d21485e8930fd21e19800a7e847f6e8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Update copyright year.

commit b514054f0dbe92ad414d6db24f3ad73fd485867e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Switch to static builds for Windows.

commit 52d0a5b5eeac922e6ca0d484b0003daa9af55815
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-29

    Use QSaveFile for writing to disk.

commit 2c1a12742563ff4015b2ae77f78bdd20953dfa37
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Switch to Qt 5.

commit 9904864c0a142a1ef64a4dbde55067213651b3f5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Switch to C++11.

commit b0957562bf02ef3c2575825d2faa3416fbb25f3d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-27

    Wrap QtZip in separate namespace to allow static builds.

commit 04e638e4f02ced0dc7fac64ab90ac67b44cc963a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-17

    Add more icon sizes.

commit e20ad102c5937680aaa9731bcfd5de84bb28c560
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-15

    Use app icon from theme only in Linux.

commit e2886e0271ca23c00e43a47e56eb72495fe1f20d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-14

    Update appdata file.

commit 64a2e56283c0a567e131483a748bc7fcb583eb6a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-13

    Update format of appdata.

commit db87836dff0b68cb887a3fffbeae77fd41d0435f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-10-23

    FIXED: Crash when importing themes.

commit af4d481928bcefc31fa7864815cf6deac160399a
Merge: 8592605 579a738
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-09-10

    Merge branch 'master' of https://github.com/Youw/focuswriter into Youw-master

commit 579a7387b127a9ec24da815a1b1cbc27df3e95bb
Author: Ihor Dutchak <ihor.youw@gmail.com>
Date:   2014-09-10

    Add always show top and bottom bars

commit 8592605a2cee3b910bf9367d34d88b8fbf995cac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-08-17

    Update news file.

commit ea483190295d9ac66375c2cb640358713ead1975
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-08-16

    Sync translations with Transifex.

commit a186023ecab75e5aa8c21761d8e8c0407dd700bd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-08-16

    FIXED: Find did not take smart quotes into account.

commit 50f3e526843462092abbea90f57cb44bffbdfdf6
Author: Ihor Dutchak <ihor.youw@gmail.com>
Date:   2014-08-03

    always show scrollbar implemented

commit 9b32e400c9ce2b5099e53b0359aaf4021188020e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-30

    Update strings.

commit 0df36a4cac60cdf423f3d475e7d71690fdd8514a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    Add headings to DocxReader.

commit a698ba31acffcc8c40a3155d374b679b60cf79cd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    Add headings to DocxWriter.

commit b3a2c4be4c2d6dc690b418d8aaa61b7fc38cf81e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-26

    Add headings to RtfReader.

commit 110b75d0f549ec991a76931c799f33c2c25c909b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-23

    Add headings to RtfWriter.

commit 2b2ffd0d314aea76d5edca4a549517a5c66fed13
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-22

    Add headings to OdtReader.

commit 45647fc563583ca354ffb881a5319d4ec4df321b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-22

    Add headings to OdtWriter.

commit d9c8b6cef678d76e3200490385340f55bf39c1d9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-21

    Add actions for headings.

commit 34c0e3c82add2d2a4ab9cf42078b25a3fd57790a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    Add stylesheets to RtfReader.

commit 1e100d27a1f31cc843947186c6e0a3d1c52a9ab5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-27

    Always write head in RtfWriter.

commit fc9fda199c719ef3a81ce3d65f5827f3ea22cc3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    FIXED: Style hierarchy was not always loaded in ODT.

commit 25224d947b1d04cb54d5461b2f4e529bf6573658
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    FIXED: Ignored text sections in ODT files.

commit 6b952eacda42a0c3f328b8805b34aa0902a31473
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-25

    FIXED: Was not reading styles for OOXML files.

commit 3cb5f85cc891b711ba7d3f485247c0d710c9165d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-20

    Update news file.

commit 6be9fcf18910b4c59186b0591b4d3399aac376de
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-20

    Sync translations with Transifex.

commit 5e42e97434115639d17b25e2ff6bbdc314caf503
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-20

    FIXED: Regression with RtfWriter encoding characters in Windows.

commit 13270925d27922488373184b1f69675ef4cbcf4f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-19

    FIXED: Windows installer did not install shortcut for all users.

commit 0643e46bc12b491165c5934d9059e50e50dd334b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-07-15

    FIXED: Finnish spellchecking did not work in Windows.

commit 934f6720140d3eaabaa6ef6b9f95d9c2650ddedf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-29

    FIXED: Incorrect handling of mimetypes in copy-paste.

commit cef24a8c36436e9092320147f694dfffdba2bb09
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-29

    Share API for file writers.

commit 98de79bfb95273847f93522673d119306a20b857
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-24

    FIXED: Keywords in .desktop file should be separated by semicolons.

commit 1290eced0839d84b087ffc178341c48c360b1f7a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-24

    Update news file.

commit 338d46469afc89465edc3869238f0afc5193fee7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-24

    Sync translations with Transifex.

commit 85b88598a10b8f5734e08db91564c370e853ee13
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-22

    FIXED: Spelling underline is broken with Qt 5, work around.

commit 00c42fca9a322600c892f2c376535e21662df615
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-21

    Add support for pasting Office Open XML.

commit 3a3126ab6f1fc6378b173e7b9661eccc28629ce5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-21

    FIXED: Incorrect MIME type for Office Open XML.

commit 6fa93f59b945d18c438431064f5410ec3f6726c1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-20

    Add keywords to .desktop file.

commit 4adfd968e27e8dc5951a2d72b64942325a241846
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-20

    Improve git version number.

commit a4be1e3cd3f983fdab42b3991064dda0c832d159
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-19

    FIXED: Compile issues with Qt 4.6.

commit 959a4a71f8e1fc1a2352d7d1c9945b13ad37db5d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-19

    FIXED: Missing libraries on Windows.

commit cb083bb52b3d20da4d89403156b48e8217ec794c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-19

    FIXED: Regression with default cursor width on Windows.

commit b1282233521d07035e9033aa80bd7afb185e4ce8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-18

    FIXED: Regression where menubar was not shown in Ubuntu.

commit 7c0f69d85e7d1ec100741135783fe31c4f9055f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-17

    Reset git version numbers.

commit 89f59fc9f39fd252d4314fa1d3de7cd43cb2f069
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-17

    Bump version number.

commit 1bee9ffd197e2bd583162031e69c997e4f51ed23
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-14

    FIXED: Render errors in theme preview.

commit 22598a98cdfa2626c3e01ed637c0ad18f3937c7b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-14

    FIXED: Was adding drop shadows to all themes.

commit 665ebe44861a3d1ef6bb696c4d7da030d362053a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-13

    Sync translations with Transifex.

commit 2e6dcde6c82abf824ff3f899b9b0534719bf0f32
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-11

    Add shortcuts for moving cursor by paragraph.

commit 784af10eec1606096133273bedcb7b0b6d4e6e3d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-07

    Add Windows installer and update windows deploy script.

commit a88dd0778a14c34fc7d00192832fa816189117bf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-07

    Update dictionaries for Windows.

commit 254145a86f9366dd144fcccdb0fdb5e29a693e0c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-06-07

    Update hunspell to 1.3.3

commit 7794b7ac73102a37aa5cfb606e95a2f55a7f46b8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-24

    Sync translations with Transifex.

commit 04766fb2ad2a41e7afebfd0ca88d13403d9ede61
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Use QKeySequenceEdit for editing shortcuts. Closes #122.

commit ae0a1f9122e911ea789823e86d1d00a3972385f7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Update location of themes in README. Closes #146.

commit 531c6eebac468aaa6a8d47ab1153adfe1e69a5a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Add minimum font size to default themes.

commit 0e65c8b5015306458c8fd698e93e5b1e8d628407
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Update strings.

commit eff383bb7b4cb1dd0a4cc2b71533784e09417d48
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Only show full name of session in tooltip.

commit 9d7b6631d2d231ede9db2b57a9c5302abddcb04b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-14

    Store session name inside of session file.

commit fef55bf9a98cf638b959ad66e5e9e607b1f5e5dd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-12

    Store theme name inside of theme file.

commit f548886330cddad703b5afcd47ed25523653da64
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Locale aware sort themes.

commit f074539e16490803e8d5611b53e30e62e9d4284d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-09

    Update copyright year in about dialog.

commit a5e14a04c78691ea07a0e75817b1388996cff74a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-09

    Increase default window size to 720p.

commit a8494d2b2e55321c29179705658d2c598b5d88f5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-09

    Automatically tile or zoom images when editing themes.

commit d336b4fe9d2bd07aadfcb37f2ce9bdba87937f44
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-08

    Force system default font size.

commit c1be7586882711d33cb7a283ea429a9ac08bf2cf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-06

    Store theme when selecting and not in hide event.

commit 40a6924e8bbd87722ae23cb5fd31ee0059380706
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-06

    Allow removing all custom themes.

commit 42cfdf6c9f685ac7da015709ce034e6d2a82bd23
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-05

    Improve handling of view sizes in theme dialog.

commit f043caac030e6cb60bed55b97348d70f9d7b2793
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-04

    Add tab for default themes.

commit dfb716c90427e430808f92a8791ba2b7390e7139
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-04

    Improve generic theme.

commit 1f3a51ae3e73d1270a4dd566fb281fa00f4e7ae6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-03

    Add support for cloning translated names.

commit 9f78b42f068373f1d2620511183a514357cb44b9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-11

    Do not automatically edit cloned themes.

commit 19d56e123998e3d82daf864a3b6325d3982dd54b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-03

    Handle numbers in duplicate names.

commit c5a1f360b6616b349d41f688b4e81a1ae2bed9ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-02

    Add default themes.

commit 5e6a2a0ab77b08ac89da08e697964203fba5e93c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-06

    Create previews of default themes.

commit 3c50d55a866be9e2f1343267c7d6094ec292c379
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-05

    Change theme preview icons to use larger text.

commit de85552707521b61f4e4327c1a32d14dd8c0155d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-02

    Add support for loading default themes.

commit 65aac27df6a32a79a9ef053d341fea43e3fcb242
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-02

    Add system themes directory.

commit e26a001208c804a11eca9614f029df9cdbcf529b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-08

    Stop passing create parameter to theme class.

commit 99bd21e33c7b5fc8437840573bbde2d5c3739439
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-06

    Don't load theme twice.

commit f7c77e85d812916e5b6283c68e93d30a3a11beea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-08

    Rename clone to duplicate.

commit f7cc5eee44b050b229f5ac07e6b5a23fa64a720f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-15

    Sync translations with Transifex.

commit bf30940e92b291e75d382db5d53f33ea130984ea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-05-01

    Update strings.

commit 667e755192c85f79da168b92dc579f615c8d313b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-29

    Remember location when browsing for theme images.

commit 610e8d575fa3bc61823b422e5cf63a8afaceee97
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-29

    Show averaged color of background image while loading.

commit 2e5f067047b2050c80230a814c5e95cbbd9fb9f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-22

    Allow window to be smaller than theme.

commit f8704d8fefa59f7c4e9d45fd8b0152609d95e8e0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-22

    Use foreground rect to control text area size.

commit 5e6d7cd76ece205a905dc4388a6c2f9c692f4ab0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-19

    Use better font matching when editing themes.

commit 3745402b5a7f94bcd53a0bc56ecf395802250af2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-19

    Remember theme dialog size.

commit c9f1259f545290ccd2d5fc7623ddb1713f375d79
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-19

    Increase default text margin to 10px.

commit 67068a34155d769d0563c53b6fc8d083a344ff6d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-18

    Rename buttons in theme manager.

commit 4835a9ef6b3d94ec56ad484982da64a1dc9bb3c7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-18

    Add option to enable text background rounding.

commit 525cea61e294b1187d1caa493fb10e9c6cfb7b88
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-18

    Split margins out of foreground.

commit 8848f90bfe92b6f7e00152078e516f6e897b3acb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-17

    Replace tabs with groupboxes in theme dialog.

commit 53604e0f54677a128d126029798ad5148403a07e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-17

    Share thread based theme rendering.

commit 20b9dadd39f4032c0b2529bf23c87f3e73fc1a22
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-16

    Add ability to clone themes.

commit 0fc2ad12831a4224140e93c0bd2e67aa22d11dec
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-13

    Remember location when importing and exporting themes.

commit 91887b1527eaafeccf5312687880edc6e659e7f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-11

    Disable foreground width when set to stretched.

commit 3e653046bcc59cf9f377c9f477b8e7383c496e98
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-03

    Add zoomed text cutout to theme previews.

commit 303d2aab779b4a4eae34108af7899510dfb3f4e8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-03

    Use Lorem Ipsum text in theme preview.

commit a0118bbd7bc1ff300f0bcd779f80be9f8e89fd7f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-03

    Make theme previews be scaled down images.

commit a5c7ea8a93e0218a7277ba4dd345622c37a1cf0a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-02

    Merge theme render functions.

commit 15bf892f531890c1014c1b59f5d0f9257a0ec3ea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-01

    Add option to draw shadow behind foreground.

commit d1e89de0f3e57ff1c3265f5438594aa27752fdbd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-30

    Add option to blur background behind foreground.

commit b53aafb203fb7be6e1482d3892739ab75b615f10
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-29

    Replace stylesheet with palette for themes.

commit b3321b070c8d071ea2653a53b4b9eaf1cf7ec75b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-07

    Always draw background in stack.

commit 3d025dacd428a444edf2332b3c6803dd145380ba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-29

    Render theme foreground onto background.

commit d8aaea5d551490a3dd53607c3c6407b837c8543c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-02

    Make render background a member function.

commit caac09c1de51092fa9e5a66aebb9362a715e594f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-13

    Use theme when generating previews.

commit 31ebc3b2f8fe01338179c6100d1d57b8a9b4080f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-02

    Store copy of theme in render thread.

commit 7affff56ea2bc0936612e0f5aaba2649ad3ca158
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-01

    Store copy of theme inside of stack.

commit 855f894a6ea0b262d8f3492999367c3ea7bfd1a3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-19

    Add support for copying themes.

commit 70d4420fc94de8d48f7a1c738a705007c490fea7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-10

    Update news file.

commit 47efe108fd97cda0b598929e10f9460333f6a8c6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-06

    FIXED: Formatting was lost when saving pasted text in new document.

commit 550a4060757e7f423ed76a6da8b5ce16a6f6279f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-06

    FIXED: Extra empty text was pasted with ODT.

commit 0a0d2445802c1070ccf25bfb035c57137040fcf8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-06

    FIXED: Could not change built-in Qt textedit shortcuts.

commit 7ae2e4aa9b02f752eeb8db8aca7840805b92eee2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-05

    Sync translations with Transifex.

commit f7a599440b781db14e71a1ab76d8d11ef89ee065
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-05

    FIXED: Session names did not trim whitespace.

commit 207fc685d12d429039cf5675d8d909ae9fc8d5fb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-04-05

    FIXED: Theme names did not trim whitespace.

commit c7b1b394a8f33ea7fe68a1997510d94df5627ea4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-27

    Update Unicode symbols data.

commit 6ad80e76bc4c3b3f533dd1f4a0deb34f305d589e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-27

    Update download script for Windows dictionaries.

commit 9566838fbf65f284cf2873380d51ed487d54936a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-27

    Sync translations with Transifex.

commit f086149245c6c36407ed60c34784717822f8781e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-26

    FIXED: Session names could not contain periods.

commit 93249a59448ff420495997061524fba2132f0776
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-26

    FIXED: Theme names could not contain periods.

commit 049301c1dfc5185c6894d79625fc604009a39948
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-26

    FIXED: Long session names made session menu unworkable.

commit f167166e49f2166423800d2b51ce189d650c6621
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Improve management of description translations.

commit 700458a3150460030bfb8b567b89438b8592a402
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Update news file.

commit d1de4d57b7b26e3044f3bad01dfa5886550989ab
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Sync translations with Transifex.

commit d0e73c698ee8ace53b9e9e69278111a4411d8509
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Replace ChangeLog with NEWS file.

commit 465a73fbe8bd3663f9b507bcf810ed05a089bf65
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Sync translations with Transifex.

commit e39bc88a1ee049cf34f658514593c8213d278f2a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-25

    Update AppData to refer to PNG screenshot.

commit 863e5cf1540fd73b21445cd394ba8a47a53301bd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Add manpage.

commit c61c7f400606715262700f48e10d130454dc0e8d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Add AppData file.

commit 4301ad1d317a49aadf5c97f6038b2da7b439f41d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Add basic program description to readme file.

commit 58f321576cb0663198aab1889726554b4a65f87c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    FIXED: Infinite loop during replace all with regular expressions.

commit c2c3929a265cc056951b5644dbe1efd64dfd587d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Update credits file to remove libzip references.

commit 1c4954ce883cfe3bd7b5d310c433c47e2531cbb0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    FIXED: Regular expression replaces did not ignore whole words option.

commit 8f8ec2043f211c65bdf45d07a0ab2e974a2e9614
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Require Qt 5.2 on the Mac for clipboard handling.

commit 2be73481c47d0da07d8aa24348238070b45317a5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    Add support for more RTF mimetypes.

commit 0e3fb17fb5d5c1e7e8a971997f0ea37070335706
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-24

    FIXED: Interpreted images in RTF files as text.

commit d32e1632b302242a1f3eeac69f920c3fc219e68a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    Start spell check at current paragraph.

commit 5a44414cb31a37c6b3792d3bba0c0fcf55eb507f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    FIXED: Context menu key did not show spelling menu.

commit 4b9033bff72daad8d8f0f134dafbb0c385747e2b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    FIXED: Could delete all themes.

commit 07aa8eb1dd08f97db469bec89149c3d56f1da037
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    Only use included Hunspell on Windows.

commit c4b0260f10948a09b1fd16237ee0e7636b317853
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    Replace libzip with Qt zip.

commit d7fdff9e85bc5609bbb10a8d5627af0b73329d2f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    Normalize dialog strings relating to files.

commit 5394ba2ace64d8e1c3627ab2e7943f5293a9b52e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-23

    FIXED: Did not recreate default theme until program restart.

commit 292e1786b869a7aac5e23ae26f31ef699bb29c6b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Append number to duplicate theme names during import.

commit 939eed49384545f76fa756030833e00c9ce847dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Regression - indents were not properly sized.

commit 5e5d62cbc75e36b0e290900f4756788ef4bf6858
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Created a new tab for corrupted documents.

commit e12641cc75740db0f65b200916145132fde77e45
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Use absolute paths in open and save dialogs.

commit 46eb79cd2f32c84518633136a91bcbd237262f8f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Synchronize location for open and save dialogs.

commit efad26f027a3fbd31005ada40bd361efa9aaf6bf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Make it build with Qt 4.

commit 3dfc635ca10d7cd147e14bbed90a6f18e0f2bacb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Reloading a modified file did not reduce daily goal progress.

commit 92930dba92976c440050ab77d897bbd7e0364912
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Unable to overwrite current document.

commit 2ba39469afe4d16e4c36850ab28b18a3465f5d80
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Discarding a modified file did not reduce daily goal progress.

commit 0679f9fe31970181256f32d51a08ddae11e7fe94
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Locale dialog always prompted users of System Language to restart.

commit eaecf96b5a4faba775de02717f5fb1f92351a136
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Symbols dialog had help titlebar icon.

commit 03f950be9db5d5020970dcecb05c3d06732d71aa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    FIXED: Second instance would not open relative paths.

commit e38f1eb6f94ccad7c0cdc4767139bb067cacedba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Make save changes dialog more clear.

commit 6118568994809c98f170fa4aeec9ccc0228df809
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-22

    Add word count algorithm based on each letter.

commit 5522746f28e10661b735d3c01f55643efa79a5e1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-20

    Allow building with Qt 5.0

commit 1b5c5ff12b628d5622744d6c7062936039b721f4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-19

    FIXED: Closing last empty document increased untitled count.

commit d1e8f296b2ccea919fe8fa1ee03d615ac0b1ad9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-03-15

    FIXED: Regular expression searches did not ignore whole words option.

commit be78dac5e97ec4b09961ceb540e2b275a2bb2259
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-27

    FIXED: Paragraphs not always focused properly when merged.

commit 9c5ce3a33e550213bd303b76c1a4421276a747d6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-27

    Update supported file types on the Mac.

commit 33f530453b1f00851c2a4ca68d447afa5a55fd0e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-27

    Build system improvments.

commit 3851601d3f0821c7932cd70a0098e640b84a566b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-24

    Sync translations with Transifex.

commit ec207942899a50b872b63c3f3282fecf982887b1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-28

    FIXED: Selected session was incorrect when switching sessions was canceled.

commit 559ce71c41ed42044b442896eb06501c023ca0e8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-28

    Prevent opening unsupported multimedia files.

commit 1d3787c0b7545e9db7fbabf6b61c157c367a161d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-28

    Fix linker error with Qt 5 on Windows.

commit 9d27ba578ca6557d764d3636bcf74d164f2c32f0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-26

    Update QtSingleApplication.

commit 625bd0c5bfdb60c954ceb821b30ce8d170568aad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-25

    Fix compilation error with Qt 5 on Windows. Closes #142.

commit d0bea14e780243ae2df8433f7dcfcb302dee397c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-01-05

    Update translations.

commit 23845b5dd1fb46041b4cbe5cdc1619c4c38a5ba2
Author: Jérôme Borme <jerome.borme@gmail.com>
Date:   2014-01-04

    FIXED: Hyphenated lines were not focused properly.

commit 89507eee5e2ccbbcca96771c764ede93fc106418
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-11-27

    FIXED: Did not respect default cursor width.

commit 0d25b843f1f8bdb85a2060138fa617c82ada49d0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-11-16

    Sync translations with Transifex.

commit b91668e92607c6800f40118db4c5b19db79c4a36
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-20

    Reduce minimum window size.

commit 8b50f9f5e7d24548773555c44ccf926577a3db9f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-03

    FIXED: Setting locale did not change layout direction in Qt 5.

commit 7a69b02264bb50cab021f49fdf4fb1ff4dcbba68
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-02

    Add menu action to easily set language for spell checking. Closes #81.

commit 3d6c33ed1e793453ba6aa3dcf5334f2e8a75663b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-02

    Rearrange statistics tab of preferences.

commit 6d07c00d9bf41d2a39923387599259e84e296fa1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-02

    Add ability to reset daily progress. Closes #125.

commit 12a292215551659c1cf3a834d59e35d80d7f3c01
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-02

    Move daily goal to new tab in preferences.

commit 7c65ea5b2cc019feea7b36b80bf5ac4f882f76f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-01

    Add documents menu to tabs. Closes #130.

commit 35ec00da347e229caec882bf588eb01574582faf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-01

    Move modification into document class.

commit 2ea1b4e1d1e0607d4ca6a9bf6cd187b4b475adce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-10-01

    Update dictionary download script.

commit 342e1cd1ee3aec586129c9537acc316b3fc41015
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-28

    Add ranged classes to constrain values for settings.

commit a756f846465c93cfb37d505205f7527f460b9ec2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-23

    Use QSound whenever possible.

commit 6bebc96127f86c826db5f32941fb5698ba310f5b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-23

    Update ifdefs for Qt 5.

commit d04acffe0dec29c413345b31ff80fb8f48bca0dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-23

    Rename codepage to encoding.

commit 6e0c0cb9c091f60290cc06507002836575ff88c2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-23

    Share code for checking if filename is rich text.

commit 630a599ecb6dbc1332e3453d5c4ed9dc931fa969
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-23

    Replace Qt algorithms with STL algorithms.

commit 9efd708930765d887a63118358293144d575af24
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-22

    Add option to disable BOM.

commit 3e8d30fbb597af21606b12dcf03b255e4315c92c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-09

    Fix build errors on Windows.

commit 06ae5e7e09745aec716372de8e21b9360d1a088f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-09

    Add support for providing dictionaries with Windows builds.

commit 3bf446f09a2dadd6f13afa12809be670d9ea5240
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-08

    FIXED: Unwanted scrolling while selecting text. Closes #126.
    
    Work around Qt 4 treating double-click as not having a mouse button pressed.

commit 4205d09ca7870e0eeef9700561e99dbb25f48caf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-04

    Share concept of encoding between all format readers.

commit 7fe61de3470bd359541b9814165c1e353c389821
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-04

    Write files with matching Unicode encoding.

commit 236c063b34acd7ddf01d08d15ba7f07decfc1c34
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-03

    Make preferences a singleton.

commit a4caafb931d515c89a30188409d5429cb661265f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-06

    FIXED: Crashed when opening font dropdown in theme dialog.

commit ef9596eec0d02e615a13ad03dd9f05ad7b925312
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-06

    Add saving changes to settings outside of destructor.

commit 65fa05ff40b9f8a99bd20a797c842094809dee61
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-05

    Speed up writing ASCII in RTF files.

commit f608419011bfd5124f2cf159e2fdc9cfcdd77b62
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-04

    Update included libzip version to 0.11.1.

commit eb1ee827fbbecce113aae5edc23310874c159aa6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-03

    Add setting tab width in theme. Closes #113.

commit 95e656bc236d9adcc061819fbc537346fc61055b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-03

    Switch to a single unit indent.

commit cd433d7c077fe0c1389fea673ebb279fb9ae59eb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-01

    Add custom OpenDocument Text writer.

commit 17c0aa4cedbf0967e0cc81ba5dc5ac34bdb7432a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-01

    Clean up document writer class.

commit 4803a7e9585b8522fe571c2319ddc84692e78d06
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-01

    Add basic Office Open XML support.

commit fdc60c813ea6410958368ae01c11db8c178e604d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-30

    Add wrapper for libzip.

commit 375e69c0b3f54685d841ddd9a29e3ad4c0894972
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-26

    Group logic for handling file formats.

commit c55147b6403c9916ed2a23f6051c73089c5b5dfb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-26

    Move type check into format readers.

commit b33e6c24a12c2d2be7ef6a9e3dd34153d7453603
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-26

    Simplify code for reading file formats in document.

commit a4caccc1e7c06a99178c1cc14e79c9819c319344
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-26

    Unify API for file format readers.

commit 907a726c76ea8e80d85f9ce5be8712c80560fddd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-26

    Move reading plain text files into separate class.

commit 58131c531548d21bee4d3c1475e07a9f06e121b9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-25

    Group together classes for handling file formats.

commit e47e7c6960d45c4eded0a07a0cf8dc5d9d418303
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-25

    FIXED: Did not always ignore changes made by program.

commit a7abdf93f4015e5a6c0d14dcef68b20cad61a757
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-24

    Improve preference dialog layouts.

commit b95636df8629e3b5ea9b9951cb50c91ed8086918
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-24

    Allow disabling daily progress streaks.

commit 5ccc01c05f9676056fe2e8541d29c32a119533e0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-23

    Add setting default file format. References #83.

commit 74fa1a1c643c5d3bd6e22ccae2c67df1c54bfcdb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-23

    Improve format selection in file dialogs.

commit ec1c9ea12e710970584994f88ea9f93bb43612df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-22

    Redraw daily progress star when palette or style changes.

commit 6c126aef0e6e270c00fae9753ff40c3bf244ed7b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-22

    Allow user to set minimum percent for daily progress streaks.

commit f910d5853cfc0f8179c18ba3257d3e46c26ea975
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-21

    Draw star in history for days that met daily goal.

commit 820466338060a8c65ed449fcf35928deaed58926
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-21

    Add option to disable daily progress history.

commit 359010fd57a238130e59db137c6e7b61da3330a5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-20

    Show units for percents in daily progress history.

commit be2304fd2adce0b48e807ecc03bcf8c699823bba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-20

    Show months and years in daily progress history.

commit d7a75804f4db43ad18cd120087378e24ac45a17d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-19

    Use more colors to show daily progress history.

commit 62768bc3b0bd946c850572e79daaa16bc8fdfdf2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-19

    Update daily progress only when visible.

commit bdd6c9e51e9e5a39ea586473df07b521bf962c75
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-19

    Add clicking on daily progress to show history.

commit 9f02361df83440c2e11a17a814b7cdf479faf538
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-19

    Remember daily progress dialog size.

commit a5fd63a1ca38b2f058e946301fec34d5b5adf822
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-19

    Update streak labels when streaks change.

commit a730c31aa64d032b9f068af2f764861840244f81
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-18

    Show daily progress streaks.

commit 6211f58c498f5fb4b3ee17f70ccd0ad028ccc62f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-18

    Add dialog to show daily progress history.

commit f98e48aaea4b555f7bdd31eff6635c225431d724
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-18

    Convert daily progress into a table model.

commit a42436c64d938a79c7547eb57ddf0f621862e80c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-18

    Load all daily progress.

commit 5d152c6adfe98454e88a1cbfe48c7d149765adf7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-18

    Calculate daily progress in nested class.

commit de9897b65c8389b6b48364311e80b3540526ce7f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-11

    FIXED: Daily progress could be lost if program crashed.

commit 72a8dc31f9bc76f9f8cb46fd21e0a1566facca26
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-11

    Remember daily progress for each day the program is run.

commit 3a95de12329e8aff2ed37b9f7eef5d1103d8c535
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-11

    Share daily goal timer between documents.

commit 37167bc3a9f5277ace22dbc30157c0b0b2e6a78d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-11

    Move tracking daily progress into single class.

commit 247865a99ee55d698621c12efa9d91d69f9cef4c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-15

    Increase maximum size of foreground.

commit 68192aee0d628dc3658ca9beb6c93238dc8f8e39
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-15

    Allow margins smaller than 10 pixels.

commit 182f7618f18ccfe4b5a05b5fd0b5dc8478b0629c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-09

    FIXED: Smart quotes were incorrect after opening punctuation.

commit 934e8eaf0cbb000eb2431fd480a5b642b8f20f13
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-09

    Always write to new cache files.

commit 495461746db225e745058dd6e09f76cef18b73a6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-09

    Backup cache on successful exit.

commit bd5c4dc0f2050bebc33fceb817e713f76945fb2a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-08

    Don't delete cache files when closing program.

commit ff51c5086d58556f054198f8e2b584acdbe3bdd4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-07

    Don't delete cache files when restoring from cache.

commit 8831b28e0928030f1250f4fffcece8c94a98465c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-07

    Move crashed check into DocumentCache.

commit 84e7d32d372e068ec0fa8cdc441635ea37006312
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-07

    Move writable check into DocumentCache.

commit b5105d5e11a806158c08cdab2c2166a307b2d290
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-06

    Move writing cache file into DocumentCache.

commit 8cf919cf06739a431635d7075564c035aa18fb47
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-06

    Share code for closing documents.

commit a2b441722604a7d36fecb11b9724f60b0056995c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Move removing files from cache into DocumentCache.

commit 861df91c4a723ba2bb18a0259ebe954d7ee99e1c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Move mapping cache filenames into DocumentCache.

commit 9db85193964a0c27c9bc2627a4c9044d1129f093
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Move generating cache filenames into DocumentCache.

commit e0bf87482764b39e1beef4edb9ec1e50526dc991
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Move cache path into DocumentCache.

commit a5436b8033c3f2db6f33c70c13aa7459b930bed7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-06

    Update ChangeLog.

commit e2067342fe57cb2f65ac1389dabcf8199ba7b5cd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-06

    FIXED: Unsaved new files were not restored from cache.

commit 862e7cfa7dceb8bb5296a17225fad8170287c85e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Move detection of best dictionary into dictionary manager.

commit b3866988d754326207bd87012f42873494cd6fc6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Dynamically add dictionary providers.

commit 17615070060c417e2395f5fea850b089eed3b430
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    FIXED: Crashed when no dictionaries were installed.

commit cfa0b90571da412953ab11fa8b36b04a293e91e3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Don't distribute static Qt plugins on Windows.

commit 2744c64ef640ea52eb56199cccce30a6927e62da
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-05

    Install voikko DLL with voikko datafiles.

commit 6f3ef924b1667b1859cf7ee638c5bba69726abb9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-04

    Add libzip license to credits file.

commit 411e57d673481328163bc9b4e0cecab20ec1aa11
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-04

    Stop using deprecated libzip API.

commit de9883323f54866c3c283167db7350de63393833
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-04-04

    Include hunspell and libzip with source.

commit 62b2f6ac0f67d877eb608205debfc0f7074a66c2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-30

    Add support for Unicode names with Qt 5.

commit 1c3015ce4d852f78245794e4a4a9a5f093f7ab63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-30

    Migrate data from Qt 4 version.

commit 2b4466862ed8de41685d682e9e56f7dd82a98aa7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Group spellchecking files together.

commit 37e810f1d08c64b2dde24a7f8b07debd60c850f3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Add voikko dictionary provider.

commit 7aa7a93f21b1a0f5191e3e5e62ae19f029a9174f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Check provider validity on creation.

commit 2b9bf4c28e514236d19515d5efd87356491887a7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Add fallback dictionary to DictionaryRef.

commit f2d784d6109ab0d8fb6fca8ff746c2c8cb699c41
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Check dictionary validity on creation.

commit 520884e7fbacb98e5be324a51adb9d6bd49f5ef2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    FIXED: Documents were not rechecked after changing settings.

commit 22065979feade4629cada0bad4e1840ef9dc0752
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Hide implementations of dictionaries.

commit ea037123492d649f4268b32d400187375e665830
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Add global dictionary settings to dictionary providers.

commit 16f5406bec0d0362f4ccafbd1a9d8327b10311ec
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-29

    Merge source files of dictionaries and providers.

commit 0d19320cc2a64879b5492a6581539ea7db8ec291
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Share DictionaryManager on all platforms.

commit 65288db9bde7e2117326084a8db1898554f88681
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Use dictionary provider to fetch dictionary.

commit f64c5c1f0176c917fddc8b6598fcc76f6789f10a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Add dictionary provider classes.

commit 41c375e79e727f6eef142b68995a16787e3edd9a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Rename dictionary classes.

commit bf776ad0be6f386a1a07103fb71f217030b61961
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Share DictionaryRef on all platforms.

commit 7f9ed658459d67aaddb4473e76e8994d4db5e643
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Add abstract base class for dictionaries.

commit 853ca5804fdad8bab62e117db77279441ea7cab2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Rename Dictionary to DictionaryRef.

commit 2ae52799bd2cee59365e967b6b2dfae8cc3af4ba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Move all spellchecking code into DictionaryData class.

commit 88f89be7cfc6b4fc012295b0844d51e8101e0c04
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Move global settings for dictionaries into dictionary manager.

commit 24a4b068ac1a4b1b0c19b672fa5c71ddc81fd56d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-28

    Switch back to hunspell from enchant.

commit 2c91bd02f459bc55822d68bef3eb59314bb3d1d4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-26

    FIXED: Could not end italics before smart quote.

commit 7feaa60116b20e22bbb641e58b78cb57af8dbc81
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-12

    Sync translations with Transifex.

commit 78fd378af46e06ee670d8936e536e3fa6613f29d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-26

    Add small delay before handling changed files.

commit be81d6bc4fed3810de92d37a943e16515999ba1f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-26

    Add ignoring deleted file message. Closes #92.

commit b9090dd8976cc013b07885cc6b372868eb49df5a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-25

    FIXED: Did not play key press sound for non-Latin languages.

commit 883de0a3fca7dae358aa577977645de17877db27
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-25

    Sync translations with Transifex.

commit b705ffa98bc0b9bd3236b79b6d92582c28304a86
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-25

    Update copyright year.

commit 224e9cb1a4e8b02383f5a152f8209078aa0f9718
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-25

    Simplify build system file.

commit 9572a9f1d9bdbaab57b42f0d1a08514f36e5db2c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-25

    FIXED: Crash when ignoring words in spelling dialog.
    
    This commit reverts 9d1f39576c5c1bc29235817cf8dc6fa2fe977651.

commit b52d768e624b99db93d8e0fbe94fc8dbab92150e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-11

    Disable native clipboard glue classes with Qt 5.

commit 11bbbcce04b17c71ff57d8d7e3f6ccd5c58aa590
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-11

    Make all local Cocoa variables non-const.

commit 6b0153ff2f9921f1aa38cbe6656605b3bf09d5ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Update locale dialog.

commit a0fe413f506768ad7178d395b142902385b42c8b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-04

    Update compiled Italian translation file.

commit fef99b9c27e71c87911bbfb8a8708ea321a571a1
Merge: 45a715a 6e50c89
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-04

    Merge pull request #108 from vjandrea/master
    
    Italian translation refined

commit 6e50c89844821a2805fc3dd46278d43980c31583
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-04

    Update translations/focuswriter_it.ts
    
    Fixed sessions section

commit 7f89c22b89a1acf42440e1e38099370d53e22a42
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-04

    Update translations/focuswriter_it.ts
    
    Changed dummy text to Lorem Ipsum

commit a9abaf0e58bf2d59b9e661d6e1d540a325d6f615
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-04

    Update CREDITS
    
    Added it translator

commit b230beba2278c1284f053931c02de60d305f772b
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-03

    Further edits

commit 45a715afd8af23d85df5d37e45b890f126f054ad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-03

    Replace character entities not understood by lrelease.

commit 77e2ead37384aef93e5edac1ab5e7feb02c28ab4
Merge: 720d113 3a60f92
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-03

    Merge pull request #107 from vjandrea/master
    
    Italian translation completed

commit 3a60f92d5a5cb196be402e311e5fc4527c2c9d07
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-03

    Completed translation
    
    Completed translation for all elements.

commit d1e50bc5707805241c30e5c2e22553fa3ed2bad0
Author: vjandrea <info@vjandrea.net>
Date:   2013-02-03

    Update translations/focuswriter_it.ts
    
    Fixed some translation - some more work needed

commit 720d113ce348246506f7f64042cfe1fdc9006acf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-12-21

    Add support for compiling with Qt 5.0.0.

commit 21594794a8573f4ed7271ca7a9c8c03589ec4e60
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-12-06

    Sync translations with Transifex.

commit 8acd436902ca517ee808375192365e4f85c8fd24
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-28

    Update ChangeLog.

commit a69d8312903b7bf7c785df26be80e501f09330c6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-28

    Sync translations with Transifex.

commit 9c752d3c28c23a0d66745977f95c1fc44f207fc9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-28

    Always call QTextEdit's keyPressEvent.

commit 112bcf52d6f57fa2c5a828d233b1bb891a17ebba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-27

    FIXED: High CPU use in Ubuntu 10.04. Closes #103.

commit 64b0703048c7aa3e03c9e0ccefb7a760d3f2517f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-26

    Use QSound on Windows because SDL doesn't always work.

commit d7b8af38637fb05c08f508ee613449b02dbe095f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-26

    FIXED: Crashed when typing circumflex with focused text.

commit c3e72111e28a2af098901881a07b22ef6ec77da3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-20

    FIXED: Showing scene list moved cursor to start of document.

commit eec2a79f371bf401fedf9699c50e4bdbc7f33e12
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-18

    Sync translations with Transifex.

commit 8f6b7aa159bfa1369ce98ff253354338ec933199
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-11-04

    FIXED: Played sounds constantly in Ubuntu 10.04.

commit f1cc49b4b627af3694e22fb08fe95e9acde29e80
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-14

    FIXED: Could drag scenes in Read-Only files.

commit 2a016b92ba2a61f162fe034fa3dd943397a91450
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-14

    FIXED: Could insert symbols in Read-Only files.

commit 4ef5443084adbc6d4452427eb25153aad5e18788
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-14

    FIXED: Could paste unformatted in Read-Only files.

commit cb683d09146d390df3823a20e1595eadc98232fc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-14

    FIXED: Could check spelling of Read-Only files.

commit 97d93efd5f79011e7a84b8bfa39e86d273efb3a2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-14

    FIXED: Cleared keyboard shortcuts not saved. Closes #95.

commit 32f452e9da64fa66dcda986a9dfb21140f93ae64
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-10-12

    FIXED: Cannot add new keyboard shortcuts with the Shift key. Closes #96.

commit 65371d044c05b48c7a0a018a4021a144e59a3adf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-22

    Update ChangeLog.

commit e73e42f3355794067f190ccf32be7d696fec4a08
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-22

    Update translations.

commit ba040ad56c526cce13ae28dc4b0360bd040f9e97
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-18

    FIXED: Could not save to WebDAV. Closes #87.

commit 5f4fe5bba82709fd3587903ea446210a9f605393
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-16

    FIXED: Insert key did not switch to overwrite mode. Closes #88.

commit 8e0fdfcb3b560bc37838989e5a4982eabfc25355
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-13

    FIXED: Regression - keyboard shortcut for scenes did not work.

commit 0be069bed5bf05270c8426189e93ec1b91e01bad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-13

    FIXED: Did not show scene list if mouse was over interface.

commit f256c7a55f0ab1cce816729227ade67d71297bd8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-09-13

    FIXED: Hiding toolbar did not shrink header.

commit 4ad47d55afbefac0e037837b7425157591fe613e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-27

    Only add dictionaries in locally installed path.

commit d8dafb3c4c21425323d5ac1d2c0e28018d1695c9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-26

    FIXED: Regression - SDL_mixer was not loaded in Debian. Closes #82.

commit c5deee23f8d891d849d46b85305097f048a57efe
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-24

    Update translations.

commit e49113e1f06d264570eaf51b1add888181183780
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-24

    Add installing Voikko data files in Windows.

commit c550174814001faefcff9818aadb3b617a308c53
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-24

    Remove uninstalling dictionary files.

commit 7af255f087b6354bc6c0cb83654e5ae3660ebb8d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-20

    FIXED: Scene list was visually corrupted when footer was shown.

commit a2087cdcbfc12bab77387e054ec684535a83cfb5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-20

    FIXED: Could save over files open on other tabs.

commit 6ef635df39668132e41240254597124a25fd83a2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-19

    FIXED: Switching themes still wasn't properly focusing text.

commit 3c898668a961479c11f8fb4d2d425af532f9b155
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-19

    FIXED: Did not stop watching files when they were closed.

commit 980339fb6f84f7d5967fa5c0293f2f3a4f0ee2ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-19

    FIXED: Theme previews did not scale tiled or centered images. Closes #49.

commit cf5fbc0e4aff52fcb7fe5a3c721a128ce1918c1e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-19

    FIXED: Theme previews did not show line spacing.

commit 33220f2e02c75473f8f52adac26ffae7fa661ff8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-16

    Stop distributing dictionaries on Windows.

commit 7246498ea5eca9a4391155b4ef6fb28adc41bb24
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    Base maximum width of alerts on pixel density.

commit 3363f54635090e090b21c5123362475c218d0501
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    Close alert under mouse first.

commit aa9e58ec90434dd3c2872237a4fb7895849f0ca9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    Move code for configuring alert into alert class.

commit 3b643aa3832d58e4049d1407a2e2d507549503e7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    Use alerts for warnings when loading files.

commit 25458dc977d0d8c354fbd35ceb54243c3f98e0ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    FIXED: Warned user twice about every malformed file.

commit ee9f34892da4622ee70851cb0be14b24a9e1db1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    FIXED: Could not interact with dialogs during load.

commit bab43f808c7c94274156446af8e97a3297a184bb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-15

    FIXED: Did not check spelling of pasted paragraphs.

commit edc90ee8734189c7462604c2fbf142d25f0da5b0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-14

    Stop faking drag-and-drop for moving scenes.

commit a7b44d07c59ef0b21a931c02fd29e7c97a603421
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-14

    FIXED: Dragging last scene deleted it.

commit 8855431f0d32d3cc10e9aa7b413acc0ba59e43e2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-14

    FIXED: Dragging top scene merged it with other scenes.

commit 3da303ed3a02fd53970a1db35f3eb267bbde4976
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-13

    FIXED: Regression - Windows did not load SDL.

commit f81c18243f1fcf18ef35eff70e323370e87313f8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-13

    Make it compile with Qt 4.6

commit 8d6f11d91c33803ce85febb9e6011f8abe4b08db
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-13

    Use built-in Voikko support for finding dictionaries.

commit e32fc2f234e68a6c2128fdfa0b152dc77b2ab76c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-13

    Update translations.

commit 3e3132d1a8a13c65e0d3f442dc9196d25ed755bf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-12

    Use NSSound on the Mac.

commit e4c738ba71b2f704723a866f03c1c3c7e7e4a195
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-12

    FIXED: Regression - fallback icons were not used.

commit 4cf1c8a1d330f38e4ed3f00741019d8028c60f37
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-12

    Use file contents to determine format when loading.

commit 95da6ac9eb43548a2b6029268576a853efbcedf3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-12

    Don't allow rename on Read-Only files.

commit be654012ffb7c566aa15e3ce17bde9006ff41edc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-11

    FIXED: File rename did not change formats.

commit db17046880eccf121f15d2eb8594abf1183a1c24
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-11

    Check spelling in background. Closes #71.

commit fd9105b1aa8b3b6cd6358b9c9cd7efa7807d5317
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-09

    Only check spelling in highlighter.

commit d3180e62e61b451303fda82bdb71d1328e1a23d4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-09

    Create parent path of user data dir when migrating data.

commit 37aeb3ef9d9dd5bf3c0f12ff2de2124e3df3bd07
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-09

    FIXED: Default shortcuts conflicted on the Mac.

commit 4ecceaabc5ee3401a29505d8d1aec9abc6ca872a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-09

    Queue simultaneous requests to add documents.

commit aadd2a507ec96dbe24298c8dad405dd12da7f259
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-09

    Stop grabbing keyboard during load.

commit 4613a189fde7df0252bb61f96dbc68df355ef1ec
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-07

    Update Oxygen icons.

commit a6d0d9ef12e236bd5f34290d682996fe1ded29a6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-07

    Rename XPM icon.

commit 5f16d0d44fb9b60d305c0e2a5978dbf6b7549f61
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-04

    Change how data paths are handled.

commit 556707fa684741fbcd5624821c31fb2e17a6085d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-03

    Tweak creating index for symbols model.

commit 82185b496e47d869a4fa93ba078098d514dfbda8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-03

    Split symbol shortcuts out of dialog.

commit 438d9e975ff3c17d8f615d4a3e488230f9e8c694
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-03

    FIXED: Restoring from cache treated all files as plain text.

commit 89a6fcbeef76dec8d38a9cfc7f7822d284d75c73
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-03

    Clear cache on successful exit. Closes #70.

commit cf0c00255a9febdfe57fa5a6186a3c37df1db38c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-02

    FIXED: Line spacing combo was incorrect for non-default sizes.

commit 7a005bd51a246e119e300de48ff7aa7d09fe9b5b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-02

    Reduce minimum line spacing.

commit 388aaabddf832eb59083da923b546df8a273feb1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-08-02

    Stop cache thread while window is visible.

commit b1adf885068da2609bf9e045402533add70799c5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-31

    Properly iterate over undo states.

commit 2de9347ec635f41d250c44df273110193e0da9e9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-31

    Switch to rich text if saving as ODT or RTF.

commit 013bd9ce983d48d8548f50b118ef205f853f9222
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-31

    Update strings.

commit 2098b474af55d69633d19af8a1f73a7b37495622
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-31

    FIXED: Filenames were incorrect after undo and redo.

commit 3fb0cdeb4dafe3fd01f55ccc82122a4d3765971b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-27

    FIXED: Formatting of first paragraph was lost on reload.

commit f1d06638760d0912bd5149bdbf067c6d5f3b52c4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Warn when trying to save rich text in plain text file.

commit f54dd86eab6ba93cb5a491fe024db24107e08020
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Allow any file to be saved in any format.

commit ca8a40f952a870df9d832b964391bd0c9988ec3e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Remove menu action for toggling rich text.

commit 9b857dba5524ccc8fc0db0ea126a1a36efd13e21
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Remove setting for defaulting to rich text.

commit 14c5abf80bf47b8363edfed3299d1b2dea0a5281
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Use file extension to determine format when loading.

commit 6578b79882e0e2b9714d57852b5fe02e34b1b53a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Use file extension to determine format when saving.

commit 3b6cd48f741a4755b31a4616028e35686bef63be
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Always allow rich text.

commit 4b985a7c70412da563b36da8ddbfacca1b4d4e65
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-26

    Update strings.

commit ef3a69a8847fdd548e93a0264aa94dc87ef9fe2a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-25

    Add editable keyboard shortcuts. Closes #57.

commit bb4437c1b0e0e82432a30ce6bdee536010e81f9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-24

    FIXED: Shortcuts did not display keypad symbols correctly.

commit 14fd3a7c4c492090ceb03ee8f038dbd0e89c5171
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-24

    Allow for single-character shortcuts.

commit 723a1dae7d2889f409936e3fed2a307961145ce3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Make it compile with Qt 5.

commit 3188a26f8a5e8caa0d149f8361711fe227278c83
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Update strings.

commit f2ac906bbd2f9a8f408c18f85bcecd21f1956e74
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Remove duplicate strings.

commit 343f3d81872c0de62f60461928e0b6c342a8bae5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Use alerts for errors when loading files.

commit c99286d38395cb8e4186d763adc0c82d61338bdf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Warn about missing SDL_mixer. References #59.

commit e9def4e8d1eb82b64efe47b939dc5f3404352aa9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-20

    Remove use of QSound as fallback.

commit d483ffe673b56f57c39335ac6f04bc888be878bc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-19

    FIXED: Switching themes wasn't properly focusing text.

commit 5b2484379f8658c39a4bbe634897c5ddce7b0c79
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-19

    FIXED: Line spacings were ignored on reload.

commit 1c0e5986a9d86bd30075252d7681f2d57c465057
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-19

    Use ODT as default format.

commit 5873ebad01541e41da8f991050895250aa2b56dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-19

    Update strings.

commit 2848ec93670c175bb98b6661b91f63c8d764b2be
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-18

    Monitor files for changes. Closes #66.

commit 2ae898b554e2a8ce77caf5aa9e25d0bc912a46e7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-18

    Add option to reload files.

commit d4b8fbe4ff10cd4ceadc77c33c5ba4cbc3ce0bad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-15

    Update strings.

commit 911080a908c4b499494acd587409af4a94db246a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-14

    Auto-hide scene list when document is clicked on.

commit 0f014916cec1207427880e29a7f909b95cd90de1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-14

    Only update scene list when visible.

commit 2955f4ff17c081ee6b7ab0df2e9be0e82d0d6837
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-13

    Always select current scene in list.

commit a10e6bfc3ca0216dac7c61635197bb3202f2a1bc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-01

    Move selecting scenes into scene model.

commit a69ce024088950111a2daf96806c64eacef8d298
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-01

    Clean up scene model API.

commit 2909aaa514d713837a22cdbf034ce0075b649906
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-29

    Add keyboard shortcuts for moving scenes.

commit 783d2dd33a10f1c8215c02567dc8497b5012d8ff
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-29

    FIXED: Scene dividers did not update until program restart.

commit 49b0cc2b75a4ab4bbc667e330316b849207dab0d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-29

    Make first paragraph always be a scene.

commit bff6775e0972472acd3e5614f17c0aaba8ef1b23
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-29

    Move detecting scenes into scene model.

commit 69742110218a026fa301756d83079875022a6acf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-28

    Show multiple lines from each scene.

commit f74b12f1ab0c3d847725ea4f523c6814e4fd5666
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-24

    Allow resizing scene list.

commit f80ab410334aea4ea86d6b79b07fd3c35d4b8acf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-22

    Auto-hide scene list.

commit 2ff59b99415af729d09a9fd4deecfce8ec116137
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-20

    Add scene list.

commit ac1a783e3ad4e20d28c95acb13690ae5b0183d4a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-19

    Add dragging scenes.

commit 39c08ad2873ffc1bcb4d5b4b20c80ce344a8e198
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-18

    Add scene model.

commit 03ff5126f1b7c0895f822b94ae02bb43a236b837
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Allow changing scene dividers.

commit a052f53aa1da4eb3b2c33aec214e1ee2eb6e91bc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-01

    Add selecting scenes.

commit 1551e693fd320a9138520b96036c87250f6a07f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-01

    Add detecting scenes.

commit 1d4ef57a7a98cf7b150e71b9d50584dd949eab69
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-13

    Update translations.

commit 1e96331cc5c231043d924bb58cae96cab8ce6fb4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-11

    Add preview to symbols dialog.

commit 9e889e4169fb0fcc7c457add56c1971296276878
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-10

    Add keyboard shortcuts to symbols dialog.

commit d8856f6461819a6bf778acdaddda8f2bf14495c1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-08

    Add a dialog to insert Unicode symbols. Closes #32, closes #40.

commit 5ea11afc11266f0b15295e3d7f2167769e1b82f9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-06

    Add a model for looking up Unicode symbols.

commit 2c256d9b7973eb7ff6bb13868ffbe81d0d4a2b21
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-07-03

    Add widget to edit a shortcut.

commit deb074dbad236c0655494e85524b299cd42deda6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-21

    Fix incorrect error message during 'Save As' operation.

commit 8edc2a520ad17e313186bef831010217fd318ee4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-18

    Update translations.

commit d425e1920cec60c8bb21ec3170c9bfd35e89c909
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-15

    Remember find dialog position while program is running.

commit a7eed22d7ff15e0549d3d0e42950262f9a846b99
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-15

    FIXED: Line spacings were broken at first on Windows.

commit 4fb2d25fa1d7899e5e171ed19f993a6732fe564b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-15

    Fix crashes caused by focusText being called too soon.

commit de762e891443f5b834f59fc0028b4dfa70cb565c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-14

    FIXED: Text brought onto current line was not focused.

commit 3cae0ae7b14afda92586b56ee13fb72e9007aa34
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-14

    Update deploy script.

commit 4bf06ed1477b98aae09f143851da2fc02515de9c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-14

    FIXED: Replace all could not be reverted with a single undo.

commit 699ae918bd4bc0c6a914f9f33830e266f12756b3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-13

    Only allow a single instance to run. Closes #61.

commit 969f8af8e5f1334e720afe2a7ed7c17c300a3b60
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-13

    Add support for finding regular expressions. Closes #62.

commit 5d7baf9eb30f602a1f84d5dd513b2ad69e04a37c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-13

    Make it confirm renaming temporary file.

commit 4fc2ea5d4c8796bb8e39d2a1d748c5a61033cf3c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-11

    Add background thread for caching files.

commit a8e4c3c35c5389603664e7d94c16e7f99e839244
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-11

    Move writing file out of document class.

commit 807d1ddd1489735fe464733d65b9a90719fbfeb4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-11

    FIXED: Saved cache files more frequently than necessary.

commit f6f820f8e16ee38e18db03ded90e935fd0f14996
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-11

    FIXED: Displayed paths did not use native separators.

commit 07834a9682ad6dc927186e867faeb0c20f21cf35
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-11

    Make variables names for files more clear.

commit eb879c6ee1f0eff8e2cb0b57730ea7d09dc28c56
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    Increase cache interval to 10 minutes.

commit bacf4bb740b5fbb69b088e8ba8b3e890aba24eb3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    Load original file when unable to load cached file.

commit 92472b9c48fb7143e7e7c214b38d9808a59746e4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Crashed when loading empty RTF files.

commit 1310f9796f47e33df2b340bb6aa4e7c833e16e7c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Emergency cache files could have broken names.

commit 91254743796c3a2b326adab564ccc25592c61194
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Was not loading data from emergency cache files. Closes #60.

commit 3684fab50de3d44d16f39c5bdd33ccee590cabfa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Emergency cache was not working for rich text. References #60.

commit 7d49ab34c25f411ecdda6a010a711a93a0b7a788
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Data was not always written to disk. References #60.

commit 8412e7907e679684c7a80290302f10cfdc9101e0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-10

    FIXED: Was adding spaces before pasted rich text.

commit 3d20d60ef30fc0f76b31e81dabaf3759804a4e3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Update locale dialog.

commit fd24e62a2807ffa6bb3292c9a950be07142dcdc9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Fix application icon not loading without breaking fallback icons.

commit 7879ba7ede667f3016adb945d32ac9602e25e14b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Revert "FIXED: Application icon wasn't loaded for fallback icons."
    
    This reverts commit bcdc1ff4e1bd5d0d483baa9ae71b16704934800a.

commit bcdc1ff4e1bd5d0d483baa9ae71b16704934800a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-08

    FIXED: Application icon wasn't loaded for fallback icons.

commit f9f7b939ad3ae4879770ab8ff90da8bd6ee50781
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-03

    Add tab navigation by keyboard. References #57.

commit 16025799dfedc0faf43e88fa0ecf8557503213c3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-03

    Add alt references to find and spelling dialogs. References #57.

commit df7831b38c43b48e44f98c4ed6660c40304b98c9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-01

    Make spacings take effect immediately.

commit b17404fa5e6b2621cef4913b25982ac024d82560
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-01

    Change strings for focused text.

commit abb8ef1a6141dce36825d95f8e3956c729c63b19
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-29

    Improve about dialog.

commit 0a55971d7cf2ce23950830b600ff0d84a0232425
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-27

    Use git revision ID as version number.

commit 09a84577bfc7e2f9ce102cd5309a786dff288d3a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-26

    Update mac deployment to match Tetzle.

commit 9e859f74ff495e6f674d615f128f2a996842e3f0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-26

    Add Danish translation.

commit 9d987d5cb4d9a823bd5abf6b399889b5c56c5296
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-23

    FIXED: New documents were always modified.

commit 88b2b517e6cda3b4c8e2b9b8dd00ec1e3f6c1c33
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-19

    Focused text was incorrect when switching themes.

commit c678b079049a32ed3f6734d08978cd2290c76dc1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Improve fix to focus mode.

commit 94b412b76fbf99488ce5395cf317b46424ac62b6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    FIXED: Focus mode did not always go to start of line.

commit e26617cbb0b1d0244916d2bb67b9dbb3e3b3710e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    FIXED: Inserting text resets alignment. Closes #53.

commit e4815bf3032fadca21a9134d2590e900013932aa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add option to paste text without formatting. Closes #37.

commit 212b5b897ff2242d5027da6cb0d486f176dbf026
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add focused text strings to translation files.

commit e065030aa1660ba4089876d4028a3caaaa1f4ef8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add focused text options. Closes #55.

commit f3af8844f0058af8695e2790ab8f11dba30b0138
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add spacings strings to translation files.

commit fbfebacc9604475cca73b4c60bef0e89d7b9f6c0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add options to theme dialog for setting spacings. Closes #22, closes #42.

commit 9db5809a2a6f2744eee5b7b08a5e6dcd92093811
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Use theme spacings when creating document instances. References #22, references #42.

commit e0cdda446b55bf727b237435bd95522f8535163b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-18

    Add line spacing and paragraph margins to theme. References #22, references #42.

commit 80b0ab49ef75028c89075f8c8bfc1d411e3275fc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-17

    Add reading and writing soft returns. References #42.

commit 4b387b9e0ee6bcb02343644504f6109f2d1b4b04
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-16

    FIXED: No suggestions for misspelled words on 10.5.

commit 54fbbe4b1a413e361daae26cad0831029e6252b0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-15

    Use modified voikko provider for enchant on Windows.

commit 06eb98c157f5a80d29e1c6a676f7c911a7bb5959
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-12

    Install dictionaries to shared folder on the Mac.

commit 0c45a1ea16c60f77f8468b35643c49b5e3c88532
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-12

    Hide spelling options on the Mac.

commit fafb669074ed08795975a38bef13d4949489181b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-11

    Use NSSpellChecker directly on the Mac.

commit 9d1f39576c5c1bc29235817cf8dc6fa2fe977651
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-11

    Have dictionary find all misspelled words in a string.

commit 7ac9926a4ea1fca765e14a86097a6019ee5367af
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-11

    Use translated names for dictionaries.

commit 2029b878507425b07777f2f46c7deef374f34589
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-11

    Remove dictionary data files.

commit 11d692ce748b8b91546ad7afd6602974787fe33c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-10

    Switch to enchant from hunspell.

commit bc431702bdca89d6b87445c24625a7528cf66581
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-10

    Add a wrapper class for the dictionary.

commit 87437ee5e40a114f703e4f6dc8610ea19188751f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-09

    Add dictionary manager.

commit ce9955a35cfc8b3ea4ac29cbf1c4815a139c8b9d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-07

    Make character check variables more explicit.

commit 069e41e686852de48f56778d36f1c8512b81cbf4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-04-15

    Update Spanish translation.

commit 7d01ae5cec3b235abf3fbeb8826d8d383db281b3
Merge: f9dbd50 b38f52f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-04-15

    Merge pull request #52 from barak/upstream
    
    German translation for GenericName in Desktop file.

commit b38f52f1c292149a6dac0a0f3c5074ed6b150c76
Author: Barak A. Pearlmutter <barak+git@cs.nuim.ie>
Date:   2012-02-10

    German translation for GenericName in Desktop file.
    
    Thanks to Ronny Standtke <ronny.standtke@fhnw.ch>,
    see http://bugs.debian.org/659283

commit f9dbd509698c30a1d15fc348f14847ed40ad91e1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-01-16

    Tag version 1.3.5.2

commit 9e585a3e31e1bd509fdd3bfa3a000a6c4bd48c5a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-01-09

    Update Spanish translation.

commit 2fd4578ac6a51d6bb1dd4d81763e2b8cb449b64d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-22

    Update Finnish translation.

commit 528ebedd45829733fbc255945662f70ef3aed5d6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-18

    Move code for setting cached count and current block into calculateWordCount().

commit 6dd6ae8a617044972c34b1236ae6285cdd538b64
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-18

    Only start monitoring word count changes after loading contents.

commit 590ffda924eb44463bdcd4608152e3f53d6408a9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-18

    Sync translations with Transifex.

commit 564dcd5e67365dbef9bcebdbb28ab5248ada74a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-18

    Add Hungarian dictionary.

commit 503c99ee6e8d4fd0185dcf79753c7151dd173e94
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-17

    Add Hungarian translation.

commit e05c5e21c983bf1fa9ad13c485f1784b4f712a11
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-15

    FIXED: Did not handle loading menu icons correctly.

commit b2a14f1c3101e93ed13c79ff6162175d6337c18f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-04

    Tag version 1.3.5.1

commit c6c08132d437fc4b41f893b44c31c136eab6e483
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-04

    Add Greek dictionary.

commit 7ee38b023c146e130edf3660ff38d0d8efd2a4cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-01

    Don't grab keyboard.

commit 4ccfcbd18fd37a0fe7d7fd1998548f8a8ff15b0f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-30

    FIXED: Did not correctly handle multi-byte characters in RTF.

commit fa209d089344286bf78155d3311eae4473872015
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-27

    FIXED: Interface was incorrectly hidden while fullscreen.

commit 48be9a4b2bd9105c15939e5d6747ffddb21353fc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-16

    Update German translation.

commit d6ccb9330cc4ec53cee894bf1d10f35cea902bb0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-15

    Add Dutch dictionary.

commit 29c27eca853bdc3e7a3ff05e823d6de875523a5b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-15

    Add Dutch translation.

commit a0b47c536d56f9b94dfb0e099faacf3a4bb0313c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-12

    Add icon metadata.

commit 1237105f93d0ea9ab5cd416794c297b1c1f8c1c5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-12

    Add scalable icon.

commit 4e75aa06517dd9af20fe3c026e02a9d517c638ac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-09

    Tag version 1.3.5.

commit 56e450b97583e298e6435a4c8d6440785537e941
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-09

    FIXED: Sometimes did not display opened documents immediately.

commit 348118145557a5dde6019503aae891f7d0ab9296
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-09

    Update translations.

commit af5bf3059ebc7ca9c63fd10fc1f2a6eb25157998
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-05

    FIXED: ODT block settings were not respected.

commit 3df8cb433e528326d393443f8e0c4a1af0e1911d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-05

    FIXED: RTF block settings were not respected.

commit cce5fc9882c00342ed6575fcea1be9e7c28f2270
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-04

    Change file extension of exported themes.

commit 406a95171532c4a596a52b0bd0d420075ac1275b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-29

    Use gzip compression for exported themes.

commit 2e95b4f6b13cdef6a4a44e53738b3fd15b60e3dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-28

    Rename XPM icon.

commit a9ff9f54748a84f41d9ddf589ab8bdf0afbfe409
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-17

    Tag version 1.3.4.1

commit 664c5d2c6334f88c32843850d10076cb9dcacf4a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-17

    Improve deploying mac resources.

commit 5d21d0d132de3b5bd35435f31e91b775fc5cbc84
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-16

    Tag version 1.3.4.

commit 284e8b143d77eac16ebc1c44a497769a9c468c44
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-16

    Make it compile with Qt 4.6.

commit 666d470d960bed60fc6ae709a9289e0b27af7691
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-13

    Allow language to be set to default language.

commit 01ca6d21e45fd9feee876dab828dfdc7688ea19f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-13

    FIXED: Regression - changing dictionary required restart. Closes GH-39.

commit f0c31c560d2d3e3b24cdea0eec1b1bfa78c9c5d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-12

    Tweak mac_deploy script.

commit e723a6b7fcdeaea939447c141bf37a178a79e0eb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-11

    FIXED: Qt translations were not copied in Windows.

commit c666c9a1bf13369ac8fde9044c11c97407955132
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-09

    Add Swedish translation.

commit 56bfa69a0ddee4be1df8c4ec8c7b0771eaa767f3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-08

    Don't allow highlighting until document is loaded.

commit fd5efa032bb6f98a42a15d682f08a7288efbb95a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-08

    Pass pasted HTML through RTF parser.

commit 2045e99d349653d609ac5700028f227e18c9c525
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-08

    Remove extra newlines from RTF.

commit 37edbe554aeea59fa1770d1be8d78bb472270adb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-06

    Add Windows support for copying RTF.

commit 8125eb8787f333d090c4766eab0cfcacb4bae90e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-05

    Add support for copying RTF.

commit c8ca4c24efe09fd656323a68a1379a3c287c743b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-04

    FIXED: Always vertically center did not work with new documents.

commit 874a096764a50733075f52ee05fe468d8b9a26fe
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-04

    Create default theme when launched.

commit 05e057cd4f7c6f035cf9a4dbec77378189e98181
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-04

    Improve open dialog start location.

commit 0f1ac319e83992878e8db60ddee5f9b398298784
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-03

    FIXED: Printed spellchecking highlights.

commit d8390b37f34acb8fab07972cf71b3f7042c3bff2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-03

    FIXED: Did not load file stats when loading file.

commit 77efb43e525ef03c23864efc897cf4a7aee734c8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-03

    Revert "FIXED: Did not load file stats when loading file."
    
    This reverts commit 64ec0e76b7fd161abf229f5060636cdd6942821b.

commit 83614af4b01e5119fb83fc898283f7745c0a50a3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-03

    Add dictionaries for new languages.

commit b740fd7c6cf78b6c93aecaf6183060f259aa5cb6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-03

    Sync translations with Transifex.

commit 320d62dad9dc73d7fbd75849672eada1e6bf2b33
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-02

    FIXED: Did not load file stats when loading file.

commit fec6a37992661642885a0ab3ede7c2fe014f52ee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-24

    Only add BOM to TXT files.

commit 5414f96fa9ca09830d13217b80501a04b16be38a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-20

    Improve word counting algorithm.

commit 0f57cf822c3ec28b515d4cec2de06cc29b825637
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-19

    Tweak default settings.

commit 632d4df5a2e0b4b80eec65e4494a055e19922f17
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-19

    Update strings.

commit 11fd5dbd90545be876e158bc8b6abea314087f29
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-19

    Speed up file loading.

commit 893ba33d0a0b5215c9ae90ff815d3525a732e9f3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-06

    Add basic OpenDocument text support. Closes GH-25.

commit 370b8f4493fd8c0a1a2740875eb253623138a119
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-08-06

    Switch to a 96 DPI indent.

commit 5024ae7196c5d9955ad03e1159d55b4683eb74eb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-28

    Make sound effects play immediately.

commit 554e080843bec7b7d04cd291c7f6971982d110da
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-28

    Normalize signal/slot connections.

commit b43b200314da699ede6d03bd012f056bb0386735
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-25

    FIXED: Font names were sometimes inserted at head of document.

commit 41be3478bb30e6a56cde5ae43629a78bdaaa4b9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-25

    Remember code page when reading RTF.

commit e9279ec81e1b29c64aefb2b5977535f53d1a1e1c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-25

    Redesign detection of code page for writing RTF.

commit f91e0e628ef149e842d0dfd7ea8d271a9350a5e2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-08

    Add Greek translation.

commit 9e22ab75d0f18ca99034b72563c84ffcf93d5886
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-07-02

    FIXED: Crashed when typing after alert for no sound effects.

commit 2961542acd64e9633c8a9f88f0ffc3283e691b9a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-30

    Check correct location for icons.

commit b6bbe84335d51d1f1f045f87a147047fd384fa63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-27

    Tag version 1.3.3

commit 87aa2b73f981c809f75ae4a99bd80cea38b69a0a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-25

    Update dictionaries.

commit 2719d7cde0c2c579b0be8809a93be53c51fbad8e
Author: Márcio Massula Jr <marciomassulajr@gmail.com>
Date:   2011-06-15

    Update Brazilian Portuguese translation.

commit 220a3542066c62f04ee66fe7b6bb60c554e88dc5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-12

    Update Russian translation.

commit 009d82c5e8ed4f895508ce92a6ecc3a8165fe65c
Author: Israel Buitrón <israel.buitron@gmail.com>
Date:   2011-06-11

    Update Mexican Spanish translation.

commit d9513ecd6a3bb3b39d0dad331ab645385e68c7bf
Author: Jérôme Borme <jerome.borme@gmail.com>
Date:   2011-06-08

    Update French and Portuguese translations.

commit f2dda8b505ad4713e9d1793e93d4959594d29bdc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-08

    Update German translation.

commit 925c6913220aa5a883b96b21cb7487ed4211cca6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-07

    FIXED: Timers action didn't always use theme icon.

commit 00a7f874920a1b4ead2c8f719ef465c3b9ab8244
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-06

    FIXED: Did not follow toolbar style by default.

commit e5e6aea120faf3e217d433c6049797efa91cb0ac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-06

    Move background caching into background loading thread.

commit 6aa8ad3ded596126bdd75fbb59df489f65b7b638
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-06

    Allow users to always set background image.

commit daa4c602e437c104e11ac4d0e7f1614be09d4bdf
Author: Jakub Kowalski <jakowalski@gmail.com>
Date:   2011-06-04

    Update Polish translation.

commit 71b359a9a89d513c511e00cc47119f8cae8767c2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-04

    FIXED: Did not raise to front in GNOME2.

commit a6ae470f49659930f9d5013b512e14d92a37f65a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-04

    FIXED: Cancelling adding a theme did not work.

commit 2c05e18b4b594011da42c4fea563f05ed6bedb3b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-04

    Use smooth font sizes list.

commit 1a849a216590077702559e3385aba9339eb2e796
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-04

    FIXED: Font size always show decimal.

commit 2554484de8729ab3c4546403b306e3b34c95dae0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-04

    Set default font to Times New Roman.

commit aafc32ee9a08d67f5bda08e1633b86cda62d92f5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-03

    FIXED: Incorrectly handled paragraph end in RTF.

commit 9b3cb1170c11f26002c56ef957f8fca65f7397fc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-02

    Use a symlink instead of an alias.

commit 8157611202b6a12d7ee3027db62c0454fc291c74
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-02

    Handle drag-and-drop RTF on the Mac.

commit e1c1745abb990515665d7610fe7db11ee1afc50d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-02

    Read from and write to QIODevices.

commit 35a9f955d9e51453ef0cbfd763b6f22829631a5c
Author: Pavel Fric <pavelfric@seznam.cz>
Date:   2011-06-02

    Updat Czech translation.

commit edaf58204c1e9c46be5875a10cefff49318488ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    Update translation files.

commit d1766aac0f597923b6e918f977293eb183a56949
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    Remove menu icons option on the Mac.

commit b26432c8ed7ae295dcc52da181df54acc8f3ed06
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    Only load typewriter sounds if they are enabled.

commit cc5c1c658a0759a0c1aabc6bffdfd46def44a29a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    Remember size of preferences dialog.

commit 34b88e388be638f2bfeb59d51eb602b7190a56d3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    FIXED: Played sound effects when text was removed.

commit 1ff127398abf21bdb79fe1adc4d3f13a6cd8ce5c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    Rearrange shared resources.

commit 77f2137a7255fc4f1c2eef2836f135eec798399b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    FIXED: Could not type in timer time edit.

commit 959fc0bf1241c0f5cb2d9ebc9f8bab5ae1c8a4ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    FIXED: Incorrect background color for preferences tabs.

commit 1a9438ad7716ac2918358cb72d0f4a6f13c9a410
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    FIXED: Document details were visible through load screen.

commit 89b21b124e0fba75f5720e316091a7a1ad2ac060
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    FIXED: Load screen text was not always monospaced.

commit 748b54c446dc5d67d4ede4abaffbdc3a401b5dba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    FIXED: Replacing quotes with LaTex quotes did not update all quotes.

commit 2d73a0f997a5e6a70382507f6745b43f4adae08f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    Copy translations on the Mac.

commit 1c36c79c0a8f9372ca57d69ea0c8cb767499ea9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    Rename translation files.

commit 2a93e0cc24230f710a108c5c3862e41631513f95
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    FIXED: Could not scroll over background in Qt/Cocoa.

commit e0c0b2e3421c048d320061ba67e9a9c856482f95
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    FIXED: Regression where text did not fill text area.

commit 289083295400a2f3265ea2d52e0d5acc4bc770ee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    FIXED: Scrollbar did not disappear when mousing into header.

commit cd83638a30d13daacac290aaa93d5aeeab46e27d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    FIXED: Could not interact with tabs in Qt/Cocoa.

commit 01c85adac4b104505e5e6b1963edce05ea8c7b73
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    FIXED: Masked scrollbars still showed a pixel.

commit 20ecec52af6d6511436284a07cd8c2846245528b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    Make it compile on Windows.

commit b17961c586486ae377e4ac5d74e48d78132cca54
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-30

    FIXED: SDL_mixer was not loaded in most Linux distros.

commit 01aaa1ce42d2b232aedbca941db6148b16c4ef55
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-29

    Update locale dialog.

commit 9d315fea8dad4fde2962542330b81b31d595d200
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-29

    Improve Mac deployment.

commit 3a082f626673ff364e5762e8f13669114436a2c6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-29

    Disable auto-save by default and rely on temporary cache instead.

commit 43460059e99bde88d4c64d9526382ee1eaeb9426
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-28

    FIXED: Documents were visible when resizing window.

commit 6465a1801dd6ed1f82898dfdf37b36d6d1274dac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-28

    Don't set application override cursor.

commit 930da90162e753111d099c48f51635f758787182
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-28

    Warn user if emergency cache is not writable.

commit 7860b858b6e738334388741d0819f0f778caea79
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-27

    Improve dialogs that list files.

commit edb4751e7e01ef98f4e94da85703083e914e61fd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-26

    Add restoring files from temporary cache.

commit 150610a9931c8b4f3dd2810629644e5d366cf5a7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-26

    Store map of temporary file cache filenames.

commit c5874eed77de1596a35520de099e1b840668145b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-25

    Copy files to temporary file cache.

commit be5f426f96b365497b8ae203418446da35c5f9b3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-25

    Move file loading out of document constructor.

commit 546009778ec092514e8d39c4cf2d920d4db810f5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-25

    FIXED: No sound on characters inserted with compose key. Closes GH-14.

commit be74aeb5af19f1330961c51682ed593b4051dd0e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-24

    Add support for LaTeX smart quotes. Closes GH-24.

commit 6adbc5bd538851bd2ad9c6517ca48c714a3f1d86
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-24

    Prevent interaction while loading documents.

commit 03b217126fc2744d670d0403b4e49e6040f6ee81
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-24

    FIXED: Large documents were not centered.

commit 87aeb6ad53aeceda81e82150be447872b496d456
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-24

    FIXED: Documents were sometimes displayed truncated.

commit 60dbb5c5c555aaf97610a44c630982b0e4faa0d5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-23

    Allow user to enter custom font sizes.

commit 3eb431e560bf73cbfb3d8f061502d82efc84a862
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-23

    FIXED: Could not access menubar while fullscreen in Unity.

commit 3bde9533cf99e03c92a563ee4231b08cdab06610
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-23

    FIXED: Could not leave fullscreen in Unity.

commit 1ff934ba22230bea4d2c4a7dbd8e5c7d66bc8cad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-22

    Update Linux desktop file.

commit d7518e317f7103f6cb4c4a022d2a4cfdf56dd57b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-22

    FIXED: Closing the color picker does not return focus to theme dialogs. Closes GH-28.

commit 7a2531f7e6f01d55c507224aeae8842486fcef5e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-22

    Replace icon and load image.

commit 1735d5dfcff54be2504497f2cb3ff823a6448205
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-16

    Unset fullscreen when minimizing on the mac. Closes GH-3. Closes GH-4.

commit 51149419cfd6e2d7a7af186365425d230f880b61
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-08

    Rename base translation file.

commit 9b314dc67b6e07219ec2e60a2332252706495df2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-02

    Use SDL_mixer instead of libao.

commit ec03610a75527d39ab061b08d9b3d69c54998927
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-25

    Add CREDITS file.

commit 08a10e008cf9b614e3887feb1acce40735829a1e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-25

    FIXED: Wasn't switching to already opened document.

commit 3bfb1b4d4572725e33e8e74edb58776d21b39637
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-24

    FIXED: Dropping files on main window pasted URLs in KDE.

commit 9efef223ceb084d73064b0d3864254ce6f922e2e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-24

    Always close unchanged empty file when opening a new file.

commit 88ee2d308ad31e6040544c8f4f14427ca5cd1a82
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-24

    Specify supported MIME types on Linux and the Mac.

commit 541a6d1bcd895e23559a6b329272bb0744239cb4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-23

    FIXED: Qt translations were not deployed on the Mac. Closes GH-5, GH-6, GH-8, GH-10.

commit ea740a1c6f5f937df3a209c1525d603d89ed5f88
Author: Ladislav Thon <ladicek@gmail.com>
Date:   2011-03-21

    completed and significantly reworked czech translation
    
    Original czech translation was incomplete and used highly unusual wording.
    It also didn't pay attention to menu accelerators. This commit fixes all these
    issues and tries to stick with czech KDE translation practices.

commit 82ea43bd2b55299ef531fd10fb19723a1b029757
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-23

    FIXED: Word count issue with Persian/Farsi. Closes GH-21.

commit 87a475733aea4952f069eb2afda8b42277412bb3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-23

    Update Spanish translation.

commit c7afa40c625b8df3ee9339ccad64b5276876fd66
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-23

    Change the way language names are loaded.

commit 64adfd982a2e98a22ead78ff3768b18b22a0fe8a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-03

    Only rehighlight when highlighter is enabled.

commit 45e290b55193cbb84e61b88a8cc63ba36790ff82
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-02

    Correct spelling errors in French translation. Closes GH-20.

commit a4aa91246c991ee2248e81e611cd5842186c1791
Author: Dmitriy Kodanev <dkodanev@gmail.com>
Date:   2011-03-02

    Add Russian translation.

commit f7f409b2bb0947c9355ac7747dd2c67fdf5c6b17
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-20

    Specify menu roles for application menu actions. Closes GH-9.

commit 538800966cb9113e61905b923cddcc47e710b6ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-20

    Inform mac users a restart is necessary to see menu icons. Closes GH-7.

commit 3348c5bd2608a08f5a2a590d21d4f7dad0cd7460
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-19

    FIXED: Forgot new documents saved when closed. Closes GH-11.

commit e57ff701fd4c3597506d629cb8020eb65db1453a
Author: Ethan Bissett <bissett.ethan@gmail.com>
Date:   2011-02-18

    Fixed relative paths for command-line.

commit d637c8b39fb90cfb001eea8f2ce0b1cb22b14bc8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-29

    Improve detection of header size.

commit 93c1b84c95be9b0a5b7a60ec14f5dc99c3439aa9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-29

    Allow for multiple dictionaries to be loaded.

commit fa721e18b71505d04ac16c511b6eb6cba5e12cd8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-29

    Leave misspelled highlight when only moving cursor.

commit 6e31a945b63c760d3e7542e43923254f3dae2e0c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-29

    Always ignore smart apostrophes when spellchecking. Closes GH-2.

commit 86ef0b92f46c68871611f059d5e36d4b34eba906
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-05

    Add German dictionary.

commit 2590cb40b7585605eb42fd6fe79fc37943192cd5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-01-05

    Add German translation.

commit faa3baf6a375aaacd0d172164c9fb88b18c6d0a7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-29

    Tag version 1.3.2.1

commit 69e4975b80eff33cbca970d61449477578005aab
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-29

    FIXED: Crashed when typing.

commit 731850692041729f51d8f9673c88359969ccdd58
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-29

    Add Mexican Spanish translation.

commit 8b92d55ba60065aa96d817e0dd5d2a6d9e0f93bc
Author: Israel Buitron <israel.buitron@gmail.com>
Date:   2010-12-28

    Mexican spanish (es_MX) translation.
    
    Signed-off-by: Israel Buitron <israel.buitron@gmail.com>
                   http://computacion.cs.cinvestav.mx/~ibuitron

commit 1cd398c529b944ccd9c80b87829c21581c9856cc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-28

    Tag version 1.3.2

commit 13df0c51bcbf389a57094c60f73755b058e2dcf5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-26

    FIXED: Ubuntu panels appeared when find dialog was shown.

commit 631165c9b738ff97089aba090ae0db189b8c0c08
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-24

    Update Spanish translation.

commit dfa4a65eacd3076628e0daee5187867f9ae35e85
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-18

    FIXED: Jumped while selecting text and scrolling.

commit 15b03aeb3441c582ffed9544d6412545be13ce5a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-16

    FIXED: Statistics and centering were broken for large documents.

commit c624d0fa0680c127195685af81a5e1c73e5aeac7
Author: Jérôme Borme <jerome.borme@gmail.com>
Date:   2010-12-16

    Update French and Portugues translations.

commit 8415c6e229f7c6d75f52b944960943a1073f0b94
Author: Pavel Fric <pavelfric@seznam.cz>
Date:   2010-12-16

    Update Czech translation.

commit 05661c90abde298df8cceb34fa9bf6ec3e857fec
Author: Jakub Kowalski <jakowalski@gmail.com>
Date:   2010-12-14

    Update Polish translation.

commit 93ca34bff42825a94c10b964c53bb8eec02b14ba
Author: Márcio Massula Jr <marciomassulajr@gmail.com>
Date:   2010-12-14

    Update Brazilian Portuguese translation.

commit a6c7f211bdf34ce72e6e1ad08a9fe67a186077d8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-14

    Fixed regression where it no longer centered opened documents.

commit 99c5a952ab4c512b4f4879e2c58f523c7304806c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-14

    Fixed incorrect error string.

commit d586ff931dc59396c29111f37f87a503836b9c4d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-12

    Allow for local translations to Qt.

commit 7b8fd48ee9057a09c3f2b5004e1abde7a70b21cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-12

    Revert "Pack windows executables."
    
    This reverts commit cfa885776e49bce7f0101665fc4f9c4736480716.

commit 51c5dceeea8463656de8338dbfe7e9a73da5a160
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-12

    Add changing the program language.

commit e39ec7c1062a5a2362a674f0b7526b47a851e5c9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-07

    FIXED: Was recentering when backspacing at end of document.

commit b6e6234e04f9fa323af6ef8cb1b10ebcd35f3fea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-07

    Always bring interface to front.

commit 553911bbbec46cfda9096ab7bfdbf949e809b0e4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-05

    FIXED: Header stayed visible when menus closed.

commit aa791906778a4b87960aca7f058bda42292a2272
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-05

    FIXED: Could not select text where header is shown.

commit 10bb95063242456fec0a9192fa150ce05daffc63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-05

    Only apply mask to stack and not to documents.

commit b9022e85568ae387b3119742316157d356372bf2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-05

    FIXED: Header wasn't shown when menus were shown by keyboard shortcuts.

commit 5533179b51ec45470d3c206e1d5574399a418d63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-05

    FIXED: Toolbar outline stayed visible when it was expanded.

commit a18a01e86f20d72374a8cb5cbe0d864b8d17f2dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-04

    FIXED: Automatic spellchecking highlighted current word.

commit 8997b9281d5336e1fa68fcaca04c1c04e7f1068a
Author: Jakub Kowalski <jakowalski@gmail.com>
Date:   2010-12-02

    Update Polish translation.

commit 5915e9c7a611b382930434229461f60203a6253b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-12-01

    Add Czech translation and dictionary.

commit 0ed63c49313f32097aa5224711e4e75f7414ca1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-26

    FIXED: Did not inform user when archives have no dictionaries.

commit 17d114399a685bdc3d7801d1fa9807bf36c48c3c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-25

    FIXED: Brazilian Portuguese translation could not open all files.

commit 18c1a12c7757f29a670caae7bd2582fa88a31ab9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-25

    FIXED: Portuguese translation had incorrect file extension.

commit f8690fa360fd924d8612fb1ab6ac04cfe8d1fd73
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-21

    Rearrange theme foreground options.

commit 100312a33378589abaf362260d02c971c97f860a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-21

    Use contrast color for highlighted text.

commit 5adbcaa16b7fdb113ebc38a4123081236fc8f07f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-09

    Add rounded corners to themes.

commit 3d16254391cb714d521eee3648f548f0e7f55118
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-08

    FIXED: Created files for missing sessions.

commit 13db93486749ac5ee5412fa57899c79346a4b844
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-08

    FIXED: Could not scroll over padding.

commit 9ab9ce3c7823cdaabc15d0863829236cafad12dc
Author: Jakub Kowalski <jakowalski@gmail.com>
Date:   2010-11-04

    Update Polish translation.

commit c48f039f736e23dd0d351199a8a7fbcc746b56da
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-02

    Allow text to use full width.

commit 358a29d8e57465bfe96bc944b3eea4c1c2931262
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-11-02

    Use nearest spinbox values.

commit 1aa3b5c0a3afe389b1eb8f3c27bdf120a28f29cf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-31

    Add minimize window action.

commit f5dc75ca7bf986e131e298c069f79b120e85769f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-31

    FIXED: Could not add words with smart quotes to personal dictionary.

commit d20d45713b7bfdf44a0f74e95f0b8f89bf1f92bb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-31

    FIXED: Could add word to personal dictionary multiple times.

commit 6c8ebdf02c7e00b6ce8d8712f497141e997e5e7b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-31

    FIXED: Played typewriter sounds for non-printing keys.

commit 6c44ea48085b82ee8a48ada81e56a4c3e14f400c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-31

    FIXED: Did not center for themes with padding.

commit 1cebc8529b15a85b6eb07e76b40ce02de34dec13
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-30

    Pack windows executables.

commit 4c0d814e40f9ac56983aa2b2c338dd907bccc74f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-29

    Use compressed dictionaries.

commit ccd9987e0eb4b1eac54c20242b47a0c5d0ab7801
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-28

    Tag version 1.3.1

commit 553483569050f386b8c0efe051dc52838382c18d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-26

    Update Spanish dictionary.

commit 9d7c5d7fc0914b58db5393bf6bc1a0ef77456b07
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-26

    Add Brazilian Portuguese dictionary.

commit 20955d62787fe899340031a538e4fa5b54091bed
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-26

    Add Brazilian Portuguese translation.

commit 6b0d6fe718b677d95bf00581f19df1f3aa313bff
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-24

    Update Spanish translation.

commit 02227d06ba892c3d609a3297af73884ddbfe4db1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-24

    Update French and Portuguese translations.

commit ed701434f4cb1e004c55f5f96e25f7bf4507eafa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-22

    Add selectively disabling smart quotes by pressing Control.

commit ab7b3aeaa65779b95caed5103eb59b605a7ba058
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-22

    Update Polish translation.

commit ceae51da7584ba69ca0cc9dfb7be6e8936ef754b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-21

    Support big-endian machines.

commit c159bb152a80b43ca6289beda6011b221c4052d9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-21

    Support compiling with libao 0.8.

commit 4fb473da43e3739503c10491c1a3d6e4efbd1500
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-21

    Add Polish dictionary.

commit 6f71fdcdce87575f523572f82f6fb23f4ceaa30b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-21

    Add Polish translation.

commit 5048452e138c84154964cbd3c5139ea676f8c31a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-21

    FIXED: Could not update smart quotes for plain text files.

commit 44921349b25c76f15c3752ee85dfcfce28111d9c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-20

    Add typewriter sound effects.

commit 3d5263b4069bd27fc38f5646c5c5b0cc802f12f0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-20

    FIXED: Could not switch to rich text.

commit c976c6a36fae86944fac839d1add237447b3101a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-20

    Update translation files.

commit 840c6493b27efb65a24344b85181cfbab9ba116b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-19

    Only hide interface when mouse is over documents.

commit 3953904fed84d2673cdb3a588313e46335766132
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-19

    FIXED: Informed user of Read-Only status of already open files.

commit dc84d3d784718e08ee372170182ff1ddd9a33ef8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-18

    FIXED: Crashed if preview image was not created.

commit 00c9b236e4a03941f893936b07a997b12a038efe
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-18

    FIXED: Font size was not always listed.

commit faf6af0f21aa69b259eeeae683454ae34cf8fdba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-18

    FIXED: Panels were visible when mouse was over padding.

commit 68dd6e4b70bf6eeeba7069d4c0835c7e87612b92
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-17

    Prevent opening unsupported files.

commit fc8bf1ab04d09f164f07111b53016e24c6384497
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-17

    FIXED: Save As completed even if saving failed.

commit a15172e83bce9751084da3c75e2dc106dbe54254
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-16

    Update translation files.

commit 50fdafd0052ca51a0c7b4972953dc4afa83b0293
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-16

    Open files dropped on main window.

commit af8d6168fe8d52f0aeac42a7858cab4a8bd47526
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-15

    FIXED: Preferences dialog was too big for small screens.

commit 3cf877f6e307ba74ec9d7322a5dc180be2fa4706
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-14

    Prevent modifying Read-Only files.

commit 113bf033f5bc731d74c8285ce73f9b30f7df5a7a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-14

    FIXED: Closed even when unable to save files.

commit 0b6959af4a2c28c83e89d3d060e8813bba5732ad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-12

    Update translation files.

commit e8f697669ff19a9321122612616908e7c6f02f4a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-12

    Add Spanish translation.

commit 6ae94162d86a8e86cca830532c94bacb68a2c623
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-07

    FIXED: Did not handle opening Read-Only files.

commit b1646b156e840cc16ab018221c4fe1ca35f07ee1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-07

    FIXED: Did not prompt when there was an error saving files.

commit 867224a7c4662882bd9580eb01c886da5436e9a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-06

    FIXED: Replace required clicking twice.

commit 4a5f195d59cd7c103940cd628ade115483c4aa33
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-06

    FIXED: Text indents were different sizes.

commit 08a5839bcbc2a6d25745a268319ced0d93fe3fcb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-05

    FIXED: Sometimes segfaulted when scrolling.

commit 3b671195985abe2213a4822543d97d29bd9604ef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-05

    FIXED: The C locale was assumed to be UTF-8.

commit 7994a16d33874d40f18e5c09b38652cd3d77b476
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-10-05

    FIXED: New documents were always centered.

commit dcd1733aa3644e527fd08df116310666afe16d99
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-22

    Tag version 1.3.0

commit c706541c8ac5f4707a5b576cb00513a902b3085f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-22

    Add dictionaries for supported languages.

commit 39ac58ecb8b059e26f2074c72ef42439761b55fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-12

    Update French and Portuguese translations.

commit 14116ac24e89277c6cfc429f682458c2ec33934a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-12

    FIXED: Tab focus was incorrect in some dialogs.

commit 24e85508b7b2a954c79f2d447960f25fc7c7c2df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-10

    FIXED: Text direction was broken with Qt 4.7.

commit 441c8779c409e21cc1e3d4315db1174b53290bd6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-10

    Work around QToolBar bug on the Mac.

commit f79c0f2fe5835d0f9f09f4e5e5205c6dd5ee6b14
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-08

    Unify coding style.

commit dd738e8d99d4ffdb62bcfccb47db4e41c15df673
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-08

    FIXED: Smart quotes didn't work with selections.

commit 12346414c2a273ea1aed8b517f2fb10a0a1ddf12
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-07

    Fallback to closest dictionary.

commit 99bd86b534b1efdc288552779a4982bf1142504c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-07

    FIXED: Default theme font was incorrect.

commit a49c744e63fbd2d070a816626b517c8308a72e1e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-07

    Refactor code for enabling formatting actions.

commit 29544fc3b1b9f3b57c8d448f216800ef63982b2a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-06

    Track filenames separately from save location.

commit 315543f78f525cfed8bc11b2ee35aa75dcce2901
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-06

    FIXED: Created empty tabs for unreadable files.

commit ab089df8cbb532772689904cb4f30b74c5d93cb8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-06

    Improve RTF conversion from unicode.

commit 27c1102425358a83aa4404bd5b4f2e194ef96cd0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-05

    FIXED: Warned about losing formatting of empty files.

commit faf49e499ece647d1e7b2616863688b783351758
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-05

    Process events while reading files.

commit 310800b713ca8687d1d5942805f755e74438127b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-05

    Show selected statistics.

commit b002f71935e4eb014581b0e9445fc64de7fc2f8c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-05

    Speed up word count.

commit bc54bb5f8f8a6ee5674b90981e52fdced5b43cf2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-04

    FIXED: Could not open symlinked files.

commit 87bc25c54c34002d381a450c109e251c6eff16df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-02

    FIXED: Could always change background image.

commit 87f85ac6921e01c232c6c6bb485696e13c8310bc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-09-01

    FIXED: Could open empty recent timers menu.

commit ea49853d3ed5238d27f00d0746637a3c40d16f78
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-30

    Move translations out of executable.

commit 346a3e51078152ee3a09b90dad6fc620a6c852a0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-29

    Only save preferences and themes when they change.

commit 1e9aadec0dfa8b8c2db60805874eb81b6fd66f1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-29

    Add smart quotes.

commit 9bee83e9403f8f3e6b6334527878e8deff9c3fe2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-29

    Replace provided English dictionary.

commit 21b679bf1001d69ae05df2b09c8b1e4450122595
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-29

    Fixed window resizing bugs.

commit 301293ee1e66a9b969e29b1702c68b5952675ae2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-29

    Don't ignore codepage when charset is specified.

commit 8be309aa9d6b6a48bbfed63780b9f23fdfe89880
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-26

    Switch to using RTF for rich text files.

commit db48ed114d408a05929c5e7de48aa9cdf70ba971
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-23

    Add text margin to themes.

commit 66f008aa13b6acc5e4d5456c69e18874e82eca63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-23

    Add text padding to themes.

commit e9894109370072463dece6d55a0b783977e0fd39
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-17

    Replace minizip with libzip.

commit db00a65227b6351ba117f0d457be91f375794970
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-17

    Make hunspell an external dependency.

commit f28a7d5423ce2a73915c4d5c761642c76d089860
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-14

    Inform user when unable to open files.

commit a00ee9bdd58b8cdc1526455804f47a8205fc60cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-14

    Prompt for filename when changing file type.

commit ecf05957986f1cb1d32384bc86fd745987649bbb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-12

    FIXED: Small documents did not center cursor on load.

commit 744991b615439a953519b74f8daed85bb3fca1f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-08

    Add RTL support.

commit 3595b3e67e9037bc782ab9c780005d41d54106cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-07

    Add importing and exporting themes.

commit dd39ea21ae1703ec0a33e364c383896fed8d72b0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-06

    Store images with themes.

commit f4176540a14f965565db042d2533d509e22f52a8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-05

    FIXED: Open dialog stayed visible while documents loaded.

commit 47a582f820e31a4efa258e3f153ee7d00c5ac733
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-05

    Rewrite load screen.

commit c0f0922f6949465aedec0d21d8ad9782b04b7536
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-05

    FIXED: Sometimes documents center when they are not supposed to.

commit 4a6256bea9473f1f42a02067811bc85a913881a3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-05

    Cache background when resizing.

commit e0e85f1990a2915726d3a9e6688ad9b19f66d808
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-05

    Don't fill background once theme is loaded.

commit f660fadb1f37f43eb2be63764c729942a522a452
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-04

    Share rendering theme background.

commit 3825e43a49ab63e0f4dee00c78052d81d6d8e853
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-04

    Fix regression where line wrapping jitters text.

commit 205c3c6d7b8529c54478c9b44f3a1a2d465d7e9b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-04

    Allow opening multiple files.

commit 684e92049aa12bfa24c982ba0639b1617ca4dcb7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-04

    Add new session menu and toolbar actions.

commit 2a43b22b423252dbce97ccfb9da45174c6a9ada5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-03

    FIXED: Default session was ignored.

commit c9577655a1eef4310900f22e912b71fc05c5a538
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-03

    Allow user to select entire text of alert.

commit b86fec7c7183c3a3abfe9eb67c7f8018cef84b18
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-03

    Move header and footer detection into stack class.

commit 4b89d80bd9f869c7e10b920466c5a33a8a4f5250
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-03

    Move background drawing back into stack.

commit 2f0af969dc7f4af3c592b5a666f409e9ae5d9575
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-03

    Make documents be a stacked widget.

commit 83b8aa6a4ac546c58e1678e25de288e5f70b64e5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-02

    Add fading alerts in and out.

commit dcba6f491f478c955ed4c7a5e87f2d6d3d475c76
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-02

    Add fading out load screen.

commit 64b0ace8fa329fbbe2eb3e7842f1a0c89e66d0e1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-02

    Add option for icons in menus.

commit 28e2d07a57d9595e082e6074d864655a5f19c0df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-02

    Move icons out of executable.

commit 4f2a096ac52dc1bd0b1fd33213a7086f3655c8d2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-01

    Improve handling of fullscreen.

commit d4d0a456882cb8c3f78cfb23a9a8e0e119434bda
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-01

    Add load screen.

commit 07c5e9cfb9b88f51d01f927d1a2ad6d9db51899a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-08-01

    Fix cursor centering bugs.

commit d32f48e36b9e25b0ef917aa7bd25576741fc31f4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-31

    Rewrite code for creating menu actions.

commit a4e977fec6db7a74b2d8c451025eb209feb6ac04
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-31

    Add session management.

commit 6d87eb9d973818d8bf7c2b132ef4548cd64b6af8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-19

    Remember cursor position for open files.

commit 221bec012cca9543025b46349cb64ff5500b7cbc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-18

    FIXED: File name was not updated in interface when changed.

commit e9692d61826411e1d05ea7d6e54533588e6b25ed
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-17

    Allowed opening the same document twice.

commit d97e16aafb49d444d2a4aa497adfa693120ae0f3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-17

    FIXED: Save dialog was permanently stealing mouse focus.

commit e37319202014dd853fcc6012fa319ec2fcf8eb1d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-16

    Reduce frequency of format checks.

commit 6f21ca74bf12e46fd1d57adaaa89eea55450d87f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-16

    Allow undo across text mode changes.

commit 8f5d57661548438038a15b1bdac72f9a3196d2d3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-16

    Add file extension to filtered files.

commit 22c45f97480da445bbd2fa72b46d37e148c408e5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-16

    Improve handling of untitled documents.

commit 75826e9ea4bba32ae93bff0503591816f260ad45
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-15

    Add rich text support.

commit b5740b95467ace3b30395b27dc94dea0b34ec474
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-13

    Switch to QTextEdit.

commit c7938af16759891e8827ddcafa8337ca3d962040
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-12

    Rewrite find support.

commit 1897e4cf60a2f25740b7783961d5caedbff9f982
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-10

    Minor theme fixes.

commit 9a25569f68ea548be178ff2fc4bb322b8b78f2e9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-09

    Remove extra titlebar buttons from dialogs.

commit b9e2c29e8b73851bcb3000b79e38f15ee99adf74
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-09

    Remove icons from menus.

commit 8cfcaf9f46992ff868bfb91562278b6f13015fdc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-09

    Add timers.

commit fba0e500153cf26058d3aa27225047f13daf1944
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-09

    Add alerts.

commit b087919a3b9b414abf71591b64144423c2fdb4b5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-09

    Switch to using Qt 4.6.

commit 7ab8fc69672402cb709b51e2adaec612193f1dfa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-02

    Make documents overlay main window.

commit 392db6d7f781eca776234430e7a3d4c3c59a73ff
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-01

    FIXED: Accidentally depended on Qt 4.6.

commit 6faba429a314ab1f10b79c0c14e551894907a649
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-01

    Tag version 1.2.2.

commit eb76591559cae9911f4d54b3d49cb407821cef2f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-01

    Update translations.

commit c194bcfc77da9cdad5405802f3794c9df2c88f5d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-01

    Distribute GPL with Mac and Windows binaries.

commit 37ed9fad1e2207af79264fadeb9046fe4756d0df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-07-01

    Add theme locations to README file.

commit a35fbcd3585ee1884182444a230c8efe2ae31f6d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-30

    Use native icons in Linux.

commit 81e2609bc9f077adfae812533c7de6479304fe8a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-30

    Improve deploy scripts.

commit b72e8690ddc90a89aaa6b59eb631bf8db6053cdc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-29

    Use standard keyboard shortcuts.

commit 443ffaa4b2f687fdc938f5914309cf9d05855cdb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-29

    Add keyboard navigation for tabs.

commit 4380fdbe1cec61d84143e99d14ed2d4240bba7bc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-29

    Use Qt file dialog for selecting backgrounds.

commit 2573689753e80a62869671eb36e0a7223420b9b3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-29

    Add support for storing data with executable.

commit aa8d981d9ac3648d38cbe29c6eb39b799c7cb5e9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-12

    Update included minizip version to 1.01h.

commit 857381575f3abfe6e91611ba84b1eaef119ec050
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-06-12

    Update included hunspell version to 1.2.11.

commit 69333d4166d7de10020cc983cc0e4f94f7e4880a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-22

    Tag version 1.2.1

commit d03e70713a1e33eb81f403dc8ffe14b1611f8601
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-21

    Fix incorrect copyright notices.

commit f3860218891d376766e1098c5946b8f9bc660331
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-21

    Update Oxygen icons.

commit e90772bedb66db3851a8a652f5ffcba2f22898e2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-21

    FIXED: Scrolling to top didn't work properly in Linux.

commit dc91cb992af015e91cb2920805ad60060a7e8b44
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-21

    Prevent losing list of open files if program crashes.

commit a767d1e95e011c826bb76107dfcafd511683cb33
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-19

    FIXED: Scrollbar wasn't tracking properly.

commit d503335944c880e26da356129ccdff5d38363501
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-19

    FIXED: Highlight was removed when right-clicking.

commit 81f5ca0223f191597e05b51840afcd80232946f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-19

    Move background rendering into Document class.

commit 0ff12b1a1daae753793eae3d4c9d415753d7af9d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-19

    FIXED: Only focused document was centered on launch.

commit 70cd6918d5eb5caa6801bac9f6225533940c9f44
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-19

    Revert "Allow user to disable blinking cursor."
    
    This reverts commit 294c80aec59ca45d0fdb79565ca26d38de71ff7e.

commit f449d606dc4fa9934b2d8cd5b4acfb32b4eaf60d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-18

    Add French and Portuguese translations.

commit acd72a356c2ba8bd3780efe70fbf73987aa39558
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-14

    FIXED: Program would crash if dictionary couldn't be found.

commit fa5cea1c50e31f8bd79cc13cd93a69d6a962ec56
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-11

    FIXED: Prompted user about replacing a removed dictionary.

commit 4811780217c2b17aa697cd970932ac8d0c3f1339
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-11

    FIXED: Dictionary added most recently was not selected.

commit 91811a64a01d3ffffde408efeb41baa472d6a670
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-11

    FIXED: Dictionaries couldn't be used immediately.

commit 14837358609d93e595052ad41ea9120ab8f5cd37
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-09

    Clarify two preferences.

commit 899db17f045e6fd2432b909b7d45d4d191d11f18
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-08

    Update windows deploy script.

commit 0c2b86a9990c5b0ceb18608a0b8afb85e474ccb4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-08

    Include minizip for extracting dictionaries.

commit 032ddf81da4e399d006b33569b5bb2e2823828f8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-06

    Allow user to disable blinking cursor.

commit 2df0fdf1833e11c32a9536b7fec45441d3f15772
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-01-02

    FIXED: Dictionary was assumed to use UTF-8 encoding.

commit 66a80548c6b58540c6238c27dc55dce3230e17b4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-12-08

    FIXED: Mouse cursor sometimes disappeared when opening files.

commit 1f958084ea44b95ae48be34b74ddd703a62b9dce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-12-08

    Properly handle hiding interface.

commit 55ae4b9cb80589507a5b6887fcc331603ad2c324
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-12-05

    FIXED: Interface was not hidden when mouse left window.

commit 90216d75bfc60626f2b0582d8d898a46a10d8e65
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-12-03

    FIXED: Margins were not correct when using Qt 4.6.0.

commit 3542c291554bb4fda184989214b247dbdabfec2c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-12-02

    Allow user to change text area position.

commit 56225fdc6b163c2e08629037cb0872616e9c45d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-09-12

    FIXED: Clock did not respect user's locale.

commit 2d3568ad21ca1ba8874ee3746c76f9643b29a4ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-09-12

    FIXED: Time daily goal increased when preferences changed.

commit 3cbe960ccd242d623255a651844cf57f8fbe1130
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-08-30

    Allow user to disable antialiasing.

commit c774dbc93561c1f04c7081abdfb05b78c5a1c73c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-12

    Tag version 1.2.0.

commit 99d2b3805c4cb578ebc80576f6bae2b8bb1c4ce6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-11

    FIXED: Was not properly centering opened documents.

commit 18e892074901b12abe91af0f0aac695f305f316f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-10

    Add estimated word count algorithm.

commit f24c32dee4c521c752d4f17e2b94b3c7644223db
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-10

    Allow any character in theme names.

commit 029f70a5024940bfe377f3cde7b643737c8761b4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-10

    Make page size adjustable.

commit 27ae2b86836e0166b6b86fde59195308336776c1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-09

    Don't filter events for document.

commit c1832e9af61e3ca04a114958035f78605499366f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-09

    Reduce text jittering when scrolling.

commit 2ab3c86c1443dcbf1167a2b17ba6f841a4a348c0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-09

    Use threaded file saving.

commit 475f623c56b6c7c6c4b3cd058496a49a1af83e1c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-09

    FIXED: Changing themes increased progress on daily goals.

commit c221cb510d28e0f47a7c4295b83fab8be020ca99
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-09

    FIXED: Newly created themes were not loaded.

commit 24eef090d065a12b037ac89d93a289070cedebd9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-07

    Reduce mac deploy script.

commit a5d82f06436e0b4ad41178ba7868dd63152b2a28
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-06

    Add option to use a block insertion cursor.

commit c42600a53fed316ac950f92be7596c82829fa839
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-05

    Split preferences loading out of preferences dialog.

commit d9f1dd5ad1f45f8017b302b1302f880bd817441d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-07-04

    Improved user interface.
    
    Add document tabs.
    Store open documents across runs.
    Move background loading to separate thread.
    Add unsaved changes indicator.
    Add menubar.
    Add toolbar customization.
    Improve document saving.

commit 96037e04ce919d97f6c86a4c41495a7da9c3f79b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-06-25

    Add document statistics.

commit 8a6edf307c82d53ed191fb02f1f50c8912d4ed63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-06-18

    Speed up spell checking.

commit 46f51a7488d6c3a2a360726ad438284fa0db52a7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-06-17

    FIXED: Changing all misspelled words didn't start at beginning.

commit fe790920bd6d84c017d3eda9f7d3c25708a36544
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-06-16

    Add spell checking.

commit cf788c53e1384c8329aefd1749c128b68aac9ea8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-06-14

    FIXED: Infinite loop when replacing all instances of a word.

commit a24d6f7bac7d162881ad911d47d90091ebbe6606
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-05-31

    Tag version 1.1.2

commit 026f53e980cf5db1ee63ceeaf227461ac0c6f3a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-05-31

    Use UTF-8 character encoding for files.

commit ec29edfe0d96ea463385ef0f8cf3515812ca5978
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-05-10

    Tag version 1.1.1.

commit b361e67b5f6dcce0b10aa71a0a10e7c7214d3938
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-05-10

    FIXED: Was always launching with time based goals.

commit 06887670fafa4ca176c7110ba9de1a288c0d97ac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-05-10

    Update dates in ChangeLog.

commit fa6615352c9e79c2aef705e75573ad4c211ae4a9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-19

    Tag version 1.1.0

commit ef931c6b44475f3fee1c913d330a966db0558b3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-19

    FIXED: Background caching only work in Linux.

commit 163177c3eb619a12bb58ac1bb3657b4bbd29b7fe
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-19

    Only use text after last newline in find dialog.

commit 8dbdd29250f3a075e18abcae6e116e2b91f922a8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-19

    Minor code improvements to preferences class.

commit d30bbc840acd0cbaca731fa019fb3d90538379a1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-19

    Merge find functions.

commit 07a5aa12934670c6feb9b7986a509cc83a8bfb01
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-18

    Ask before replacing all instances of a phrase.

commit e7b8dd013ff706d4cd568a0cab386923d211eb7d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-18

    Add find dialog.

commit dd0b3acaf5bd68fdb6d7166f15b081c3aab469fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-17

    Cache theme backgrounds.

commit 3b96659710b84b5500494b64af5fdbd23b961e99
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-17

    Change theme immediately.

commit 901cf1ae5ebea3885e16f8c6d6b1732cefd3441a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-16

    Improve default goals.

commit abcb9365f4a0651ed9d6c4ee3a0c6d76df8b1965
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-16

    Show progress on daily goals.

commit 4401f6a710621d65e8f94171af8491fa03b78c7d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-15

    Track daily progress.

commit ce3d1c940368dec85e2d7e33b12495850d87b95b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-13

    Add interface for goals.

commit e5caacde576fb808564491f09cdde4a75aa06244
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-14

    FIXED: Crashed when first sentence was deleted.

commit 991dc1874a9392381404f9b0dd134bb0265451d0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-13

    FIXED: Was not compiling on the Mac.

commit 7f3a3465372416188ae9e9a64585f83f972aedd2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-04-13

    Add theme support.

commit 719c4aeeae1544d22121d31d6b4b1cfaf3fe2ccb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-02-27

    Allow file extensions other than txt.

commit 82e34a0bde67f55786715e7d8615e2d666fbf815
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-11-03

    Improvements to image selection dialog
    * Add double click support to image selection dialog.
    * FIXED: Image selection dialog was not showing last visited path.

commit 0879cd29fedf018a3ff4c733ae023eb979f188e5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-10-29

    * FIXED: Highlighted text used page alpha.

commit 1a1aed4e7c5988497d17f0ca1ce10f5973278a3b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-10-23

    Initial import of v1.0.0
